# To ensure correct image size when batch processing, please search
# for and uncomment the line `# renderView*.ViewSize = [*,*]`

#### import the simple module from the paraview
from paraview.simple import *
#### disable automatic camera reset on 'Show'
paraview.simple._DisableFirstRenderCameraReset()

#--- Run in Terminal with: 'pvbatch PhaseDiagram_PlotScript.py'


# ----- CREATE A Phase Diagram for the following cases:
# 1. (Hyperbolic Case) Gamma = '0'
# 2. (Elliptic Case) Gamma = 'infinity'
#
# case = 1
# case = 2


#### RESET SESSION :
ResetSession()



## CHANGE FONT :
# find settings proxy
generalSettings = GetSettingsProxy('GeneralSettings')

# Properties modified on generalSettings
generalSettings.OverrideFont = 0


# drawLine = False
# # hide_redcolor = True
# hide_redcolor = False
# # hide_legend = True
# hide_legend = False


isosurface = False



# phaseDiagram3DGammainfinityvts = XMLStructuredGridReader(FileName=['/home/klaus/Desktop/DUNE/dune-microstructure/outputs/PhaseDiagram3DGamma0.vts'])
# phaseDiagram3DGammainfinityvts = XMLStructuredGridReader(FileName=['/home/klaus/Desktop/DUNE/dune-microstructure/outputs/PhaseDiagram3DGammainfinity.vts'])
# phaseDiagram3DGammainfinityvts = XMLStructuredGridReader(FileName=['/home/klaus/Desktop/DUNE/dune-microstructure/outputs/PhaseDiagram3DGammainfinity_shifted_150SP.vts'])
phaseDiagram3DGammainfinityvts = XMLStructuredGridReader(FileName=['/home/klaus/Desktop/DUNE/dune-microstructure/outputs/PhaseDiagram3DGammainfinity_shifted_300SP.vts'])

# phaseDiagram3DGammainfinityvts = XMLStructuredGridReader(FileName=['/home/klaus/Desktop/DUNE/dune-microstructure/outputs/PhaseDiagram3DGamma0_shifted_150SP.vts'])
# phaseDiagram3DGammainfinityvts = XMLStructuredGridReader(FileName=['/home/klaus/Desktop/DUNE/dune-microstructure/outputs/PhaseDiagram3DGamma0_shifted_300SP.vts'])


phaseDiagram3DGammainfinityvts.PointArrayStatus = ['Type', 'angles', 'curvature']

# get active view
renderView1 = GetActiveViewOrCreate('RenderView')
# uncomment following to set a specific view size
# renderView1.ViewSize = [999, 547]

## ---- Set a specific view size:
renderView1.ViewSize = [1257, 934]

# show data in view
phaseDiagram3DGammainfinityvtsDisplay = Show(phaseDiagram3DGammainfinityvts, renderView1)

### -------------------------------------



# find source
xMLStructuredGridReader1 = FindSource('XMLStructuredGridReader1')

# create a new 'Transform'
transform1 = Transform(registrationName='Transform1', Input=xMLStructuredGridReader1)
transform1.Transform = 'Transform'

# find source
xMLStructuredGridReader1 = FindSource('XMLStructuredGridReader1')

# get active view
renderView1 = GetActiveViewOrCreate('RenderView')

# show data in view
transform1Display = Show(transform1, renderView1, 'StructuredGridRepresentation')

# trace defaults for the display properties.
transform1Display.Representation = 'Outline'
transform1Display.ColorArrayName = ['POINTS', '']
transform1Display.SelectTCoordArray = 'None'
transform1Display.SelectNormalArray = 'None'
transform1Display.SelectTangentArray = 'None'
transform1Display.OSPRayScaleArray = 'Type'
transform1Display.OSPRayScaleFunction = 'PiecewiseFunction'
transform1Display.SelectOrientationVectors = 'None'
transform1Display.ScaleFactor = 2.0
transform1Display.SelectScaleArray = 'Type'
transform1Display.GlyphType = 'Arrow'
transform1Display.GlyphTableIndexArray = 'Type'
transform1Display.GaussianRadius = 0.1
transform1Display.SetScaleArray = ['POINTS', 'Type']
transform1Display.ScaleTransferFunction = 'PiecewiseFunction'
transform1Display.OpacityArray = ['POINTS', 'Type']
transform1Display.OpacityTransferFunction = 'PiecewiseFunction'
transform1Display.DataAxesGrid = 'GridAxesRepresentation'
transform1Display.PolarAxes = 'PolarAxesRepresentation'
transform1Display.ScalarOpacityUnitDistance = 0.1852592630607038

# init the 'PiecewiseFunction' selected for 'OSPRayScaleFunction'
transform1Display.OSPRayScaleFunction.Points = [1.0, 0.8602941036224365, 0.5, 0.0, 1.213836476688135, 0.625, 0.5, 0.0, 1.3616352081298828, 0.6691176295280457, 0.5, 0.0, 1.6666333299996667, 0.8676470518112183, 0.5, 0.0, 1.7358490228652954, 0.6911764740943909, 0.5, 0.0, 2.0, 0.8014705777168274, 0.5, 0.0]

# init the 'PiecewiseFunction' selected for 'ScaleTransferFunction'
transform1Display.ScaleTransferFunction.Points = [1.0, 0.8602941036224365, 0.5, 0.0, 1.4276729533762702, 0.625, 0.5, 0.0, 1.7232704162597656, 0.6691176295280457, 0.5, 0.0, 2.3332666599993335, 0.8676470518112183, 0.5, 0.0, 2.471698045730591, 0.6911764740943909, 0.5, 0.0, 3.0, 0.8014705777168274, 0.5, 0.0]

# init the 'PiecewiseFunction' selected for 'OpacityTransferFunction'
transform1Display.OpacityTransferFunction.Points = [1.0, 0.8602941036224365, 0.5, 0.0, 1.4276729533762702, 0.625, 0.5, 0.0, 1.7232704162597656, 0.6691176295280457, 0.5, 0.0, 2.3332666599993335, 0.8676470518112183, 0.5, 0.0, 2.471698045730591, 0.6911764740943909, 0.5, 0.0, 3.0, 0.8014705777168274, 0.5, 0.0]

# hide data in view
Hide(xMLStructuredGridReader1, renderView1)

# update the view to ensure updated data information
renderView1.Update()



# Properties modified on transform1.Transform
transform1.Transform.Scale = [0.05, 0.05, 1.0]

# Properties modified on transform1.Transform
transform1.Transform.Translate = [0.0, 0.0, 0.01]

# update the view to ensure updated data information
renderView1.Update()

# reset view to fit data
renderView1.ResetCamera(True)

# toggle 3D widget visibility (only when running from the GUI)
Hide3DWidgets(proxy=transform1.Transform)

# change representation type
transform1Display.SetRepresentationType('Point Gaussian')

# Properties modified on transform1Display
transform1Display.GaussianRadius =  0.0075


# transform1Display.Opacity = 0.03  #overall Opacity
transform1Display.Opacity = 0.02  #overall Opacity
transform1Display.Opacity = 0.01  #overall Opacity

# Properties modified on transform1Display
transform1Display.ShaderPreset = 'Plain circle'

# set scalar coloring
ColorBy(transform1Display, ('POINTS', 'angles'))

# rescale color and/or opacity maps used to include current data range
transform1Display.RescaleTransferFunctionToDataRange(True, False)

# show color bar/color legend
transform1Display.SetScalarBarVisibility(renderView1, True)

# get color transfer function/color map for 'angles'
anglesLUT = GetColorTransferFunction('angles')
anglesLUT.RGBPoints = [0.0, 0.001462, 0.000466, 0.013866, 0.006160663193689554, 0.002258, 0.001295, 0.018331, 0.012319755591052443, 0.003279, 0.002305, 0.023708, 0.018480418784742, 0.004512, 0.00349, 0.029965, 0.024639511182104886, 0.00595, 0.004843, 0.03713, 0.03080017437579444, 0.007588, 0.006356, 0.044973, 0.03695926677315698, 0.009426, 0.008022, 0.052844, 0.043119929966846535, 0.011465, 0.009828, 0.06075, 0.04928059316053644, 0.013708, 0.011771, 0.068667, 0.05543968555789898, 0.016156, 0.01384, 0.076603, 0.061600348751588534, 0.018815, 0.016026, 0.084584, 0.06775944114895142, 0.021692, 0.01832, 0.09261, 0.07392010434264097, 0.024792, 0.020715, 0.100676, 0.08007919674000387, 0.028123, 0.023201, 0.108787, 0.08623985993369342, 0.031696, 0.025765, 0.116965, 0.09240052312738298, 0.03552, 0.028397, 0.125209, 0.09855961552474586, 0.039608, 0.03109, 0.133515, 0.10472027871843542, 0.04383, 0.03383, 0.141886, 0.1108793711157983, 0.048062, 0.036607, 0.150327, 0.11704003430948787, 0.05232, 0.039407, 0.158841, 0.1231991267068504, 0.056615, 0.04216, 0.167446, 0.12935978990053995, 0.060949, 0.044794, 0.176129, 0.13552045309422986, 0.06533, 0.047318, 0.184892, 0.1416795454915924, 0.069764, 0.049726, 0.193735, 0.14784020868528194, 0.074257, 0.052017, 0.20266, 0.15399930108264484, 0.078815, 0.054184, 0.211667, 0.1601599642763344, 0.083446, 0.056225, 0.220755, 0.16631905667369729, 0.088155, 0.058133, 0.229922, 0.17247971986738683, 0.092949, 0.059904, 0.239164, 0.17863881226474973, 0.097833, 0.061531, 0.248477, 0.18479947545843928, 0.102815, 0.06301, 0.257854, 0.19096013865212885, 0.107899, 0.064335, 0.267289, 0.19711923104949172, 0.113094, 0.065492, 0.276784, 0.20327989424318127, 0.118405, 0.066479, 0.286321, 0.20943898664054383, 0.123833, 0.067295, 0.295879, 0.21559964983423338, 0.12938, 0.067935, 0.305443, 0.22175874223159628, 0.135053, 0.068391, 0.315, 0.22791940542528583, 0.140858, 0.068654, 0.324538, 0.23408006861897537, 0.146785, 0.068738, 0.334011, 0.24023916101633827, 0.152839, 0.068637, 0.343404, 0.24639982421002782, 0.159018, 0.068354, 0.352688, 0.2525589166073907, 0.165308, 0.067911, 0.361816, 0.25871957980108024, 0.171713, 0.067305, 0.370771, 0.26487867219844313, 0.178212, 0.066576, 0.379497, 0.2710393353921327, 0.184801, 0.065732, 0.387973, 0.2771999985858223, 0.19146, 0.064818, 0.396152, 0.2833590909831848, 0.198177, 0.063862, 0.404009, 0.2895197541768747, 0.204935, 0.062907, 0.411514, 0.29567884657423726, 0.211718, 0.061992, 0.418647, 0.3018395097679268, 0.218512, 0.061158, 0.425392, 0.3079986021652897, 0.225302, 0.060445, 0.431742, 0.31415926535897926, 0.232077, 0.059889, 0.437695, 0.3203199285526688, 0.238826, 0.059517, 0.443256, 0.3264790209500317, 0.245543, 0.059352, 0.448436, 0.33263968414372125, 0.25222, 0.059415, 0.453248, 0.33879877654108415, 0.258857, 0.059706, 0.45771, 0.34495943973477367, 0.265447, 0.060237, 0.46184, 0.35111853213213656, 0.271994, 0.060994, 0.46566, 0.35727919532582614, 0.278493, 0.061978, 0.46919, 0.36343985851951566, 0.284951, 0.063168, 0.472451, 0.36959895091687855, 0.291366, 0.064553, 0.475462, 0.37575961411056813, 0.29774, 0.066117, 0.478243, 0.38191870650793064, 0.304081, 0.067835, 0.480812, 0.3880793697016202, 0.310382, 0.069702, 0.483186, 0.3942384620989831, 0.316654, 0.07169, 0.48538, 0.4003991252926727, 0.322899, 0.073782, 0.487408, 0.4065597884863622, 0.329114, 0.075972, 0.489287, 0.4127188808837251, 0.335308, 0.078236, 0.491024, 0.4188795440774147, 0.341482, 0.080564, 0.492631, 0.4250386364747776, 0.347636, 0.082946, 0.494121, 0.4311992996684671, 0.353773, 0.085373, 0.495501, 0.43735839206582966, 0.359898, 0.087831, 0.496778, 0.44351905525951957, 0.366012, 0.090314, 0.49796, 0.4496797184532091, 0.372116, 0.092816, 0.499053, 0.45583881085057165, 0.378211, 0.095332, 0.500067, 0.46199947404426156, 0.384299, 0.097855, 0.501002, 0.46815856644162407, 0.390384, 0.100379, 0.501864, 0.47431922963531364, 0.396467, 0.102902, 0.502658, 0.48047832203267654, 0.402548, 0.10542, 0.503386, 0.48663898522636606, 0.408629, 0.10793, 0.504052, 0.49279807762372896, 0.414709, 0.110431, 0.504662, 0.49895874081741853, 0.420791, 0.11292, 0.505215, 0.5051194040111081, 0.426877, 0.115395, 0.505714, 0.511278496408471, 0.432967, 0.117855, 0.50616, 0.5174391596021605, 0.439062, 0.120298, 0.506555, 0.5235982519995234, 0.445163, 0.122724, 0.506901, 0.5297589151932129, 0.451271, 0.125132, 0.507198, 0.5359180075905755, 0.457386, 0.127522, 0.507448, 0.5420786707842654, 0.463508, 0.129893, 0.507652, 0.5482393339779547, 0.46964, 0.132245, 0.507809, 0.5543984263753176, 0.47578, 0.134577, 0.507921, 0.560559089569007, 0.481929, 0.136891, 0.507989, 0.5667181819663699, 0.488088, 0.139186, 0.508011, 0.5728788451600595, 0.494258, 0.141462, 0.507988, 0.5790379375574224, 0.500438, 0.143719, 0.50792, 0.585198600751112, 0.506629, 0.145958, 0.507806, 0.5913592639448015, 0.512831, 0.148179, 0.507648, 0.5975183563421644, 0.519045, 0.150383, 0.507443, 0.6036790195358539, 0.52527, 0.152569, 0.507192, 0.6098381119332165, 0.531507, 0.154739, 0.506895, 0.6159987751269064, 0.537755, 0.156894, 0.506551, 0.6221578675242689, 0.544015, 0.159033, 0.506159, 0.6283185307179585, 0.550287, 0.161158, 0.505719, 0.6344791939116484, 0.556571, 0.163269, 0.50523, 0.6406382863090109, 0.562866, 0.165368, 0.504692, 0.6467989495027004, 0.569172, 0.167454, 0.504105, 0.6529580419000633, 0.57549, 0.16953, 0.503466, 0.6591187050937529, 0.581819, 0.171596, 0.502777, 0.6652777974911158, 0.588158, 0.173652, 0.502035, 0.6714384606848054, 0.594508, 0.175701, 0.501241, 0.677599123878495, 0.600868, 0.177743, 0.500394, 0.6837582162758579, 0.607238, 0.179779, 0.499492, 0.6899188794695473, 0.613617, 0.181811, 0.498536, 0.6960779718669102, 0.620005, 0.18384, 0.497524, 0.7022386350605995, 0.626401, 0.185867, 0.496456, 0.7083977274579624, 0.632805, 0.187893, 0.495332, 0.7145583906516519, 0.639216, 0.189921, 0.49415, 0.7207190538453414, 0.645633, 0.191952, 0.49291, 0.7268781462427043, 0.652056, 0.193986, 0.491611, 0.7330388094363939, 0.658483, 0.196027, 0.490253, 0.7391979018337568, 0.664915, 0.198075, 0.488836, 0.7453585650274464, 0.671349, 0.200133, 0.487358, 0.7515176574248092, 0.677786, 0.202203, 0.485819, 0.7576783206184988, 0.684224, 0.204286, 0.484219, 0.7638389838121884, 0.690661, 0.206384, 0.482558, 0.7699980762095512, 0.697098, 0.208501, 0.480835, 0.7761587394032408, 0.703532, 0.210638, 0.479049, 0.7823178318006033, 0.709962, 0.212797, 0.477201, 0.7884784949942932, 0.716387, 0.214982, 0.47529, 0.7946375873916561, 0.722805, 0.217194, 0.473316, 0.8007982505853454, 0.729216, 0.219437, 0.471279, 0.8069573429827082, 0.735616, 0.221713, 0.46918, 0.8131180061763977, 0.742004, 0.224025, 0.467018, 0.8192786693700873, 0.748378, 0.226377, 0.464794, 0.8254377617674502, 0.754737, 0.228772, 0.462509, 0.8315984249611398, 0.761077, 0.231214, 0.460162, 0.8377575173585023, 0.767398, 0.233705, 0.457755, 0.8439181805521923, 0.773695, 0.236249, 0.455289, 0.8500772729495552, 0.779968, 0.238851, 0.452765, 0.8562379361432443, 0.786212, 0.241514, 0.450184, 0.8623985993369342, 0.792427, 0.244242, 0.447543, 0.8685576917342971, 0.798608, 0.24704, 0.444848, 0.8747183549279863, 0.804752, 0.249911, 0.442102, 0.8808774473253492, 0.810855, 0.252861, 0.439305, 0.8870381105190391, 0.816914, 0.255895, 0.436461, 0.8931972029164016, 0.822926, 0.259016, 0.433573, 0.8993578661100912, 0.828886, 0.262229, 0.430644, 0.9055185293037807, 0.834791, 0.26554, 0.427671, 0.9116776217011436, 0.840636, 0.268953, 0.424666, 0.9178382848948332, 0.846416, 0.272473, 0.421631, 0.9239973772921961, 0.852126, 0.276106, 0.418573, 0.9301580404858857, 0.857763, 0.279857, 0.415496, 0.9363171328832481, 0.86332, 0.283729, 0.412403, 0.942477796076938, 0.868793, 0.287728, 0.409303, 0.9486384592706273, 0.874176, 0.291859, 0.406205, 0.9547975516679902, 0.879464, 0.296125, 0.403118, 0.9609582148616801, 0.884651, 0.30053, 0.400047, 0.9671173072590427, 0.889731, 0.305079, 0.397002, 0.9732779704527321, 0.8947, 0.309773, 0.393995, 0.979437062850095, 0.899552, 0.314616, 0.391037, 0.9855977260437846, 0.904281, 0.31961, 0.388137, 0.9917583892374742, 0.908884, 0.324755, 0.385308, 0.9979174816348371, 0.913354, 0.330052, 0.382563, 1.0040781448285265, 0.917689, 0.3355, 0.379915, 1.0102372372258892, 0.921884, 0.341098, 0.377376, 1.0163979004195791, 0.925937, 0.346844, 0.374959, 1.022556992816942, 0.929845, 0.352734, 0.372677, 1.0287176560106313, 0.933606, 0.358764, 0.370541, 1.034878319204321, 0.937221, 0.364929, 0.368567, 1.0410374116016838, 0.940687, 0.371224, 0.366762, 1.047198074795373, 0.944006, 0.377643, 0.365136, 1.053357167192736, 0.94718, 0.384178, 0.363701, 1.0595178303864259, 0.95021, 0.39082, 0.362468, 1.0656769227837886, 0.953099, 0.397563, 0.361438, 1.071837585977478, 0.955849, 0.4044, 0.360619, 1.0779982491711675, 0.958464, 0.411324, 0.360014, 1.0841573415685304, 0.960949, 0.418323, 0.35963, 1.09031800476222, 0.96331, 0.42539, 0.359469, 1.096477097159583, 0.965549, 0.432519, 0.359529, 1.1026377603532722, 0.967671, 0.439703, 0.35981, 1.108796852750635, 0.96968, 0.446936, 0.360311, 1.114957515944325, 0.971582, 0.45421, 0.36103, 1.121116608341688, 0.973381, 0.46152, 0.361965, 1.127277271535377, 0.975082, 0.468861, 0.363111, 1.1334379347290668, 0.97669, 0.476226, 0.364466, 1.1395970271264295, 0.97821, 0.483612, 0.366025, 1.145757690320119, 0.979645, 0.491014, 0.367783, 1.1519167827174819, 0.981, 0.498428, 0.369734, 1.1580774459111713, 0.982279, 0.505851, 0.371874, 1.164236538308534, 0.983485, 0.51328, 0.374198, 1.170397201502224, 0.984622, 0.520713, 0.376698, 1.1765578646959134, 0.985693, 0.528148, 0.379371, 1.182716957093276, 0.9867, 0.535582, 0.38221, 1.188877620286966, 0.987646, 0.543015, 0.38521, 1.1950367126843289, 0.988533, 0.550446, 0.388365, 1.201197375878018, 0.989363, 0.557873, 0.391671, 1.2073564682753808, 0.990138, 0.565296, 0.395122, 1.2135171314690707, 0.990871, 0.572706, 0.398714, 1.21967779466276, 0.991558, 0.580107, 0.402441, 1.2258368870601228, 0.992196, 0.587502, 0.406299, 1.2319975502538125, 0.992785, 0.594891, 0.410283, 1.2381566426511754, 0.993326, 0.602275, 0.41439, 1.2443173058448649, 0.993834, 0.609644, 0.418613, 1.2504763982422278, 0.994309, 0.616999, 0.42295, 1.2566370614359172, 0.994738, 0.62435, 0.427397, 1.262797724629607, 0.995122, 0.631696, 0.431951, 1.2689568170269698, 0.99548, 0.639027, 0.436607, 1.275117480220659, 0.99581, 0.646344, 0.441361, 1.2812765726180217, 0.996096, 0.653659, 0.446213, 1.2874372358117117, 0.996341, 0.660969, 0.45116, 1.2935963282090743, 0.99658, 0.668256, 0.456192, 1.2997569914027638, 0.996775, 0.675541, 0.461314, 1.3059176545964537, 0.996925, 0.682828, 0.466526, 1.3120767469938164, 0.997077, 0.690088, 0.471811, 1.3182374101875058, 0.997186, 0.697349, 0.477182, 1.3243965025848687, 0.997254, 0.704611, 0.482635, 1.3305571657785582, 0.997325, 0.711848, 0.488154, 1.3367162581759209, 0.997351, 0.719089, 0.493755, 1.3428769213696108, 0.997351, 0.726324, 0.499428, 1.3490375845633003, 0.997341, 0.733545, 0.505167, 1.355196676960663, 0.997285, 0.740772, 0.510983, 1.3613573401543528, 0.997228, 0.747981, 0.516859, 1.3675164325517157, 0.997138, 0.75519, 0.522806, 1.3736770957454048, 0.997019, 0.762398, 0.528821, 1.3798361881427677, 0.996898, 0.769591, 0.534892, 1.3859968513364576, 0.996727, 0.776795, 0.541039, 1.3921575145301468, 0.996571, 0.783977, 0.547233, 1.3983166069275097, 0.996369, 0.791167, 0.553499, 1.4044772701211992, 0.996162, 0.798348, 0.55982, 1.410636362518562, 0.995932, 0.805527, 0.566202, 1.4167970257122517, 0.99568, 0.812706, 0.572645, 1.4229561181096146, 0.995424, 0.819875, 0.57914, 1.4291167813033039, 0.995131, 0.827052, 0.585701, 1.4352758737006668, 0.994851, 0.834213, 0.592307, 1.4414365368943567, 0.994524, 0.841387, 0.598983, 1.4475972000880457, 0.994222, 0.84854, 0.605696, 1.4537562924854086, 0.993866, 0.855711, 0.612482, 1.4599169556790985, 0.993545, 0.862859, 0.619299, 1.4660760480764612, 0.99317, 0.870024, 0.626189, 1.4722367112701507, 0.992831, 0.877168, 0.633109, 1.4783958036675136, 0.99244, 0.88433, 0.640099, 1.4845564668612032, 0.992089, 0.89147, 0.647116, 1.4907171300548927, 0.991688, 0.898627, 0.654202, 1.4968762224522556, 0.991332, 0.905763, 0.661309, 1.503036885645945, 0.99093, 0.912915, 0.668481, 1.5091959780433077, 0.99057, 0.920049, 0.675675, 1.5153566412369976, 0.990175, 0.927196, 0.682926, 1.5215157336343605, 0.989815, 0.934329, 0.690198, 1.5276763968280496, 0.989434, 0.94147, 0.697519, 1.5338370600217395, 0.989077, 0.948604, 0.704863, 1.5399961524191024, 0.988717, 0.955742, 0.712242, 1.5461568156127916, 0.988367, 0.962878, 0.719649, 1.5523159080101545, 0.988033, 0.970012, 0.727077, 1.5584765712038442, 0.987691, 0.977154, 0.734536, 1.564635663601207, 0.987387, 0.984288, 0.742002, 1.5707963267948966, 0.987053, 0.991438, 0.749504]
anglesLUT.ColorSpace = 'RGB'
anglesLUT.NanColor = [0.0, 1.0, 0.0]
anglesLUT.ScalarRangeInitialized = 1.0

# get opacity transfer function/opacity map for 'angles'
anglesPWF = GetOpacityTransferFunction('angles')
anglesPWF.Points = [0.0, 0.8602941036224365, 0.5, 0.0, 0.33589355211648514, 0.625, 0.5, 0.0, 0.5680552565701278, 0.6691176295280457, 0.5, 0.0, 1.0471451860825267, 0.8676470518112183, 0.5, 0.0, 1.15586894219242, 0.6911764740943909, 0.5, 0.0, 1.5707963267948966, 0.8014705777168274, 0.5, 0.0]
anglesPWF.ScalarRangeInitialized = 1




#### COLOR

# get color transfer function/color map for 'angles'
anglesLUT = GetColorTransferFunction('angles')
anglesLUT.EnableOpacityMapping = 1
anglesLUT.RGBPoints = [0.0, 0.0, 0.0, 1.0, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.0, 0.785929, 0.247056, 0.295477, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.266739073084488, 0.41568627450980394, 0.00392156862745098, 0.9686274509803922, 0.4198669450521392, 0.48627450980392156, 0.0, 0.9725490196078431, 0.7755188552446091, 1.0, 0.058823529411764705, 0.984313725490196, 1.2052651084495876, 1.0, 0.043137254901960784, 0.5529411764705883, 1.5707963267948966, 1.0, 0.0, 0.01568627450980392]
anglesLUT.NanColor = [0.0, 1.0, 0.0]
anglesLUT.ScalarRangeInitialized = 1.0

# Apply a preset using its name. Note this may not work as expected when presets have duplicate names.
anglesLUT.ApplyPreset('Preset 6', True)

# get opacity transfer function/opacity map for 'angles'
anglesPWF = GetOpacityTransferFunction('angles')
anglesPWF.Points = [0.0, 0.8602941036224365, 0.5, 0.0, 0.33589355211648514, 0.625, 0.5, 0.0, 0.5680552565701278, 0.6691176295280457, 0.5, 0.0, 1.0471451860825267, 0.8676470518112183, 0.5, 0.0, 1.15586894219242, 0.6911764740943909, 0.5, 0.0, 1.5707963267948966, 0.8014705777168274, 0.5, 0.0]
anglesPWF.ScalarRangeInitialized = 1

# Apply a preset using its name. Note this may not work as expected when presets have duplicate names.
anglesPWF.ApplyPreset('Preset 6', True)

# Properties modified on anglesLUT
anglesLUT.EnableOpacityMapping = 1

# Properties modified on anglesPWF
anglesPWF.Points = [0.0, 1.0, 0.5, 0.0, 0.4445649345539659, 1.0, 0.5, 0.0, 0.7310624366906182, 1.0, 0.5, 0.0, 0.9879222016222671, 1.0, 0.5, 0.0, 1.254661087453241, 0.9926470518112183, 0.5, 0.0, 1.5707963267948966, 0.0625, 0.5, 0.0]



# get color transfer function/color map for 'angles'
anglesLUT = GetColorTransferFunction('angles')
anglesLUT.EnableOpacityMapping = 1
anglesLUT.RGBPoints = [0.0, 0.12549, 0.0, 0.380392, 0.03926990816987245, 0.113725, 0.0235294, 0.45098, 0.0785398163397449, 0.105882, 0.0509804, 0.509804, 0.11780972450961717, 0.0392157, 0.0392157, 0.560784, 0.15707963267948963, 0.0313725, 0.0980392, 0.6, 0.19634954084936207, 0.0431373, 0.164706, 0.639216, 0.2356194490192345, 0.054902, 0.243137, 0.678431, 0.27488935718910695, 0.054902, 0.317647, 0.709804, 0.31415926535897926, 0.0509804, 0.396078, 0.741176, 0.35342917352885167, 0.0392157, 0.466667, 0.768627, 0.39269908169872414, 0.0313725, 0.537255, 0.788235, 0.450920647551377, 0.0313725, 0.615686, 0.811765, 0.5001541168221094, 0.0235294, 0.709804, 0.831373, 0.5470439579732639, 0.0509804, 0.8, 0.85098, 0.581428689566804, 0.0705882, 0.854902, 0.870588, 0.618940876646993, 0.262745, 0.901961, 0.862745, 0.6478560954306335, 0.423529, 0.941176, 0.87451, 0.6845860259400787, 0.572549, 0.964706, 0.835294, 0.7119383023785582, 0.658824, 0.980392, 0.843137, 0.7361646941267158, 0.764706, 0.980392, 0.866667, 0.7596088293041297, 0.827451, 0.980392, 0.886275, 0.7838273670706534, 0.913725, 0.988235, 0.937255, 0.7853981633974483, 1.0, 1.0, 1.0, 0.7869689597242432, 0.988235, 0.980392, 0.870588, 0.8111874974907669, 0.992157, 0.964706, 0.713725, 0.8322880045486029, 0.988235, 0.956863, 0.643137, 0.8729260763191136, 0.980392, 0.917647, 0.509804, 0.9127818915188803, 0.968627, 0.87451, 0.407843, 0.9495118220283256, 0.94902, 0.823529, 0.321569, 0.9817477042468103, 0.929412, 0.776471, 0.278431, 1.0210176124166828, 0.909804, 0.717647, 0.235294, 1.0602875205865552, 0.890196, 0.658824, 0.196078, 1.0995574287564276, 0.878431, 0.619608, 0.168627, 1.1388273369263, 0.870588, 0.54902, 0.156863, 1.1780972450961724, 0.85098, 0.47451, 0.145098, 1.2173671532660448, 0.831373, 0.411765, 0.133333, 1.2566370614359172, 0.811765, 0.345098, 0.113725, 1.2959069696057897, 0.788235, 0.266667, 0.0941176, 1.335176877775662, 0.741176, 0.184314, 0.0745098, 1.3744467859455345, 0.690196, 0.12549, 0.0627451, 1.413716694115407, 0.619608, 0.0627451, 0.0431373, 1.4571852684020996, 0.4, 0.00392157, 0.101961, 1.5707963267948966, 0.8313725490196079, 0.0, 0.0392156862745098]
anglesLUT.ColorSpace = 'Lab'
anglesLUT.NanColor = [0.250004, 0.0, 0.0]
anglesLUT.ScalarRangeInitialized = 1.0
anglesLUT.Annotations = ['1.57', '$\\pi / 2$', '0.78', '$\\pi/4$', '0', '0']
anglesLUT.IndexedColors = [1.0, 1.0, 1.0, 1.0, 0.0, 0.0, 1.0, 0.0, 0.0]
anglesLUT.IndexedOpacities = [1.0, 1.0, 1.0]



# get opacity transfer function/opacity map for 'angles'
anglesPWF = GetOpacityTransferFunction('angles')
anglesPWF.Points = [0.0, 1.0, 0.5, 0.0, 0.705621357414266, 1.0, 0.5, 0.0, 0.82168139570297, 1.0, 0.5, 0.0, 0.9799451305746117, 1.0, 0.5, 0.0, 1.0960051688633157, 1.0, 0.5, 0.0, 1.5707963267948966, 0.10294117778539658, 0.5, 0.0]
anglesPWF.ScalarRangeInitialized = 1


# Properties modified on anglesPWF
anglesPWF.Points = [0.0, 1.0, 0.5, 0.0, 0.4445649345539659, 1.0, 0.5, 0.0, 0.7310624366906182, 1.0, 0.5, 0.0, 0.9879222016222671, 1.0, 0.5, 0.0, 1.254661087453241, 0.9926470518112183, 0.5, 0.0, 1.5707963267948966, 0.07352941483259201, 0.5, 0.0]

# Properties modified on anglesLUT
anglesLUT.RGBPoints = [0.0, 0.0, 0.0, 1.0, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.0, 0.785929, 0.247056, 0.295477, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.266739073084488, 0.41568627450980394, 0.00392156862745098, 0.9686274509803922, 0.4198669450521392, 0.48627450980392156, 0.0, 0.9725490196078431, 0.7755188552446091, 1.0, 0.058823529411764705, 0.984313725490196, 1.2052651084495876, 1.0, 0.0196078431372549, 0.14901960784313725, 1.5707963267948966, 1.0, 0.0, 0.01568627450980392]

# Properties modified on anglesLUT
anglesLUT.RGBPoints = [0.0, 0.0, 0.0, 1.0, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.0, 0.785929, 0.247056, 0.295477, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.266739073084488, 0.41568627450980394, 0.00392156862745098, 0.9686274509803922, 0.4198669450521392, 0.48627450980392156, 0.0, 0.9725490196078431, 0.7755188552446091, 1.0, 0.058823529411764705, 0.984313725490196, 0.9888578653335571, 1.0, 0.996078431372549, 0.9921568627450981, 1.2052651084495876, 1.0, 0.0196078431372549, 0.14901960784313725, 1.5707963267948966, 1.0, 0.0, 0.01568627450980392]

# Properties modified on anglesLUT
anglesLUT.RGBPoints = [0.0, 0.0, 0.0, 1.0, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.0, 0.785929, 0.247056, 0.295477, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.266739073084488, 0.41568627450980394, 0.00392156862745098, 0.9686274509803922, 0.4198669450521392, 0.48627450980392156, 0.0, 0.9725490196078431, 0.7755188552446091, 1.0, 0.058823529411764705, 0.984313725490196, 0.9888578653335571, 1.0, 0.0392156862745098, 0.47058823529411764, 1.2052651084495876, 1.0, 0.0196078431372549, 0.14901960784313725, 1.5707963267948966, 1.0, 0.0, 0.01568627450980392]

# Properties modified on anglesLUT
anglesLUT.RGBPoints = [0.0, 0.0, 0.0, 1.0, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.0, 0.785929, 0.247056, 0.295477, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.266739073084488, 0.41568627450980394, 0.00392156862745098, 0.9686274509803922, 0.4198669450521392, 0.48627450980392156, 0.0, 0.9725490196078431, 0.7755188552446091, 1.0, 0.058823529411764705, 0.984313725490196, 1.0413635969161987, 1.0, 0.0392156862745098, 0.47058823529411764, 1.2052651084495876, 1.0, 0.0196078431372549, 0.14901960784313725, 1.5707963267948966, 1.0, 0.0, 0.01568627450980392]




###
# get color transfer function/color map for 'angles'
anglesLUT = GetColorTransferFunction('angles')
anglesLUT.EnableOpacityMapping = 1
anglesLUT.RGBPoints = [0.0, 0.0, 0.0, 1.0, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.0, 0.785929, 0.247056, 0.295477, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.266739073084488, 0.41568627450980394, 0.00392156862745098, 0.9686274509803922, 0.4198669450521392, 0.48627450980392156, 0.0, 0.9725490196078431, 0.7755188552446091, 1.0, 0.058823529411764705, 0.984313725490196, 1.0413635969161987, 1.0, 0.0392156862745098, 0.47058823529411764, 1.2052651084495876, 1.0, 0.0196078431372549, 0.14901960784313725, 1.5707963267948966, 1.0, 0.0, 0.01568627450980392]
anglesLUT.NanColor = [0.250004, 0.0, 0.0]
anglesLUT.ScalarRangeInitialized = 1.0
anglesLUT.Annotations = ['1.57', '$\\pi / 2$', '0.78', '$\\pi/4$', '0', '0']
anglesLUT.IndexedColors = [1.0, 1.0, 1.0, 1.0, 0.0, 0.0, 1.0, 0.0, 0.0]
anglesLUT.IndexedOpacities = [1.0, 1.0, 1.0]

# get opacity transfer function/opacity map for 'angles'
anglesPWF = GetOpacityTransferFunction('angles')
anglesPWF.Points = [0.0, 1.0, 0.5, 0.0, 0.4445649345539659, 1.0, 0.5, 0.0, 0.7310624366906182, 1.0, 0.5, 0.0, 0.9879222016222671, 1.0, 0.5, 0.0, 1.254661087453241, 0.9926470518112183, 0.5, 0.0, 1.5707963267948966, 0.07352941483259201, 0.5, 0.0]
anglesPWF.ScalarRangeInitialized = 1

# Properties modified on anglesPWF
anglesPWF.Points = [0.0, 1.0, 0.5, 0.0, 0.4445649345539659, 1.0, 0.5, 0.0, 0.7310624366906182, 1.0, 0.5, 0.0, 0.9879222016222671, 1.0, 0.5, 0.0, 1.254661087453241, 0.9926470518112183, 0.5, 0.0, 1.5707963267948966, 0.065, 0.5, 0.0]


## OPACITY :
anglesPWF.Points = [0.0, 1.0, 0.5, 0.0, 0.4445649345539659, 1.0, 0.5, 0.0, 0.7310624366906182, 1.0, 0.5, 0.0, 0.9879222016222671, 1.0, 0.5, 0.0, 1.254661087453241, 0.9926470518112183, 0.5, 0.0, 1.5707963267948966, 0.10, 0.5, 0.0]

# ----------------- LEGEND -----------------
# get color legend/bar for anglesLUT in view renderView1
# anglesLUTColorBar = GetScalarBar(anglesLUT, renderView1)
#
# # Properties modified on anglesLUTColorBar
# anglesLUTColorBar.WindowLocation = 'LowerRightCorner'
# anglesLUTColorBar.HorizontalTitle = 1
# anglesLUTColorBar.Title = 'angle $\\alpha$'   #'angle $\\angle$'
# anglesLUTColorBar.TextPosition = 'Ticks left/bottom, annotations right/top'
# anglesLUTColorBar.TitleJustification = 'Left'
# # anglesLUTColorBar.TitleJustification = 'Centered'
#
# # show color bar/color legend
# # transform1Display.SetScalarBarVisibility(renderView1, True)
#
# # # # Properties modified on anglesLUTColorBar
# anglesLUTColorBar.AutomaticAnnotations = 0
# anglesLUTColorBar.AddRangeLabels = 0
# anglesLUTColorBar.DrawTickMarks = 0
# anglesLUTColorBar.DrawTickLabels = 0
# anglesLUTColorBar.TitleFontSize = 24
# anglesLUTColorBar.LabelFontSize = 20
# # anglesLUTColorBar.AddRangeAnnotations = 1
#
# ## -- Add Annotations :
# anglesLUT.Annotations = ['1.57', '$\\pi / 2$', '0.78', '$\\pi/4$', '0', '0']
# anglesLUT.IndexedColors = [1.0, 1.0, 1.0, 1.0, 0.0, 0.0, 1.0, 0.0, 0.0, 1.0, 0.0, 0.0]
# anglesLUT.IndexedOpacities = [1.0, 1.0, 1.0, 1.0]
#



###########################################
# Properties modified on anglesLUT
# anglesLUT.EnableOpacityMapping = 0
# anglesLUT.EnableOpacityMapping = 1
#
## ---- AXES GRID PROPERTIES -----
# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.Visibility = 1
# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.XTitle = '  $\\theta_\\rho$  '
renderView1.AxesGrid.YTitle = '  $\\theta_\\mu$  '
renderView1.AxesGrid.ZTitle = '  $\\theta$   '
# renderView1.AxesGrid.XTitleFontSize = 45  #24
# renderView1.AxesGrid.YTitleFontSize = 45
# renderView1.AxesGrid.ZTitleFontSize = 45
# renderView1.AxesGrid.XLabelFontSize = 30  #default:12
# renderView1.AxesGrid.YLabelFontSize = 30
# renderView1.AxesGrid.ZLabelFontSize = 30
renderView1.AxesGrid.XTitleFontSize = 60  #24
renderView1.AxesGrid.YTitleFontSize = 60
renderView1.AxesGrid.ZTitleFontSize = 60

renderView1.AxesGrid.XLabelFontSize = 45  #default:12
renderView1.AxesGrid.YLabelFontSize = 45
renderView1.AxesGrid.ZLabelFontSize = 45
# ---- Switch of/on OrientationAXES:
# renderView1.OrientationAxesVisibility = 1
renderView1.OrientationAxesVisibility = 0

# ---- Switch Grid On/Off:
renderView1.AxesGrid.ShowGrid = 1

# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.Visibility = 1


## SCALE AXIS
# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.DataScale = [0.05, 0.05, 1.0]

# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.XAxisUseCustomLabels = 1
renderView1.AxesGrid.XAxisLabels = [-5.0, 0.0, 5.0, 10.0, 15.0]

# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.YAxisUseCustomLabels = 1
renderView1.AxesGrid.YAxisLabels = [1.0, 5.0, 10.0, 15.0, 20]

# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.ZAxisUseCustomLabels = 1
# renderView1.AxesGrid.ZAxisLabels = [0.1, 0.2, 0.3, 0.4, 0.5,0.6,0.7 ,0.8,0.9, 1.0]
renderView1.AxesGrid.ZAxisLabels = [0.25, 0.5, 0.75, 1.0]

# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.ZAxisNotation = 'Fixed'


# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.XAxisPrecision = 1
# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.YAxisPrecision = 1
# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.ZAxisPrecision = 1



# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.AxesToLabel = 31

# # Properties modified on renderView1.AxesGrid
# renderView1.AxesGrid.UseCustomBounds = 1
#
# # Properties modified on renderView1.AxesGrid
# renderView1.AxesGrid.UseCustomBounds = 0




############### DATA AXIS GRID ##################
# Properties modified on transform1Display.DataAxesGrid
# transform1Display.DataAxesGrid.GridAxesVisibility = 1
#
# # get opacity transfer function/opacity map for 'angles'
# anglesPWF = GetOpacityTransferFunction('angles')
# anglesPWF.Points = [0.0, 1.0, 0.5, 0.0, 0.4445649345539659, 1.0, 0.5, 0.0, 0.7310624366906182, 1.0, 0.5, 0.0, 0.9879222016222671, 1.0, 0.5, 0.0, 1.254661087453241, 0.9926470518112183, 0.5, 0.0, 1.5707963267948966, 0.065, 0.5, 0.0]
# anglesPWF.AllowDuplicateScalars = 1
# anglesPWF.UseLogScale = 0
# anglesPWF.ScalarRangeInitialized = 1
#
# # Properties modified on transform1Display.DataAxesGrid
# transform1Display.DataAxesGrid.XTitle = '$\\theta_\\rho$'
# transform1Display.DataAxesGrid.YTitle = '$\\theta_\\mu$'
# transform1Display.DataAxesGrid.ZTitle = '$\\theta$'
# # renderView1.AxesGrid.XTitle = '  $\\theta_\\rho$  '
# # renderView1.AxesGrid.YTitle = '  $\\theta_\\mu$  '
# # renderView1.AxesGrid.ZTitle = '  $\\theta$   '
# transform1Display.DataAxesGrid.XTitleFontFamily = 'Times'
# transform1Display.DataAxesGrid.YTitleFontFamily = 'Times'
# transform1Display.DataAxesGrid.ZTitleFontFamily = 'Times'
# transform1Display.DataAxesGrid.XTitleFontSize = 45
# transform1Display.DataAxesGrid.YTitleFontSize = 45
# transform1Display.DataAxesGrid.ZTitleFontSize = 45
# transform1Display.DataAxesGrid.FacesToRender = 7
# transform1Display.DataAxesGrid.ShowGrid = 1
#
#


# CHANGE GRID COLOR :
# Properties modified on renderView1.AxesGrid
# renderView1.AxesGrid.FacesToRender = 60


#### ------ LEGEND

# get color legend/bar for anglesLUT in view renderView1
anglesLUTColorBar = GetScalarBar(anglesLUT, renderView1)
# anglesLUTColorBar.AutoOrient = 1
# anglesLUTColorBar.Orientation = 'Vertical'
# anglesLUTColorBar.WindowLocation = 'Lower Right Corner'
# anglesLUTColorBar.Position = [0.89, 0.02]
# anglesLUTColorBar.Title = 'angles'
# anglesLUTColorBar.ComponentTitle = ''
# anglesLUTColorBar.TitleJustification = 'Centered'
# anglesLUTColorBar.HorizontalTitle = 0
# anglesLUTColorBar.TitleOpacity = 1.0
# anglesLUTColorBar.TitleFontFamily = 'Arial'
# anglesLUTColorBar.TitleFontFile = ''
# anglesLUTColorBar.TitleBold = 0
# anglesLUTColorBar.TitleItalic = 0
# anglesLUTColorBar.TitleShadow = 0
# anglesLUTColorBar.TitleFontSize = 16
# anglesLUTColorBar.LabelOpacity = 1.0
# anglesLUTColorBar.LabelFontFamily = 'Arial'
# anglesLUTColorBar.LabelFontFile = ''
# anglesLUTColorBar.LabelBold = 0
# anglesLUTColorBar.LabelItalic = 0
# anglesLUTColorBar.LabelShadow = 0
# anglesLUTColorBar.LabelFontSize = 16
# anglesLUTColorBar.AutomaticLabelFormat = 1
# anglesLUTColorBar.LabelFormat = '%-#6.3g'
# anglesLUTColorBar.DrawTickMarks = 1
# anglesLUTColorBar.DrawTickLabels = 1
# anglesLUTColorBar.UseCustomLabels = 0
# anglesLUTColorBar.CustomLabels = []
# anglesLUTColorBar.AddRangeLabels = 1
# anglesLUTColorBar.RangeLabelFormat = '%-#6.1e'
# anglesLUTColorBar.DrawAnnotations = 1
# anglesLUTColorBar.AddRangeAnnotations = 0
# anglesLUTColorBar.AutomaticAnnotations = 0
# anglesLUTColorBar.DrawNanAnnotation = 0
# anglesLUTColorBar.NanAnnotation = 'NaN'
# anglesLUTColorBar.TextPosition = 'Ticks right/top, annotations left/bottom'
# anglesLUTColorBar.ReverseLegend = 0
# anglesLUTColorBar.ScalarBarThickness = 16
# anglesLUTColorBar.ScalarBarLength = 0.33
#
# # Properties modified on anglesLUTColorBar
# anglesLUTColorBar.HorizontalTitle = 1
# anglesLUTColorBar.TitleFontSize = 20
# anglesLUTColorBar.ScalarBarThickness = 20
# anglesLUTColorBar.ScalarBarLength = 0.7
#

# get color transfer function/color map for 'angles'
anglesLUT = GetColorTransferFunction('angles')
anglesLUT.AutomaticRescaleRangeMode = "Grow and update on 'Apply'"
anglesLUT.InterpretValuesAsCategories = 0
anglesLUT.AnnotationsInitialized = 0
anglesLUT.ShowCategoricalColorsinDataRangeOnly = 0
anglesLUT.RescaleOnVisibilityChange = 0
anglesLUT.EnableOpacityMapping = 1
anglesLUT.RGBPoints = [0.0, 0.0, 0.0, 1.0, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.0, 0.785929, 0.247056, 0.295477, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.266739073084488, 0.41568627450980394, 0.00392156862745098, 0.9686274509803922, 0.4198669450521392, 0.48627450980392156, 0.0, 0.9725490196078431, 0.7755188552446091, 1.0, 0.058823529411764705, 0.984313725490196, 1.0413635969161987, 1.0, 0.0392156862745098, 0.47058823529411764, 1.2052651084495876, 1.0, 0.0196078431372549, 0.14901960784313725, 1.5707963267948966, 1.0, 0.0, 0.01568627450980392]
anglesLUT.UseLogScale = 0
anglesLUT.UseOpacityControlPointsFreehandDrawing = 0
anglesLUT.ShowDataHistogram = 0
anglesLUT.AutomaticDataHistogramComputation = 0
anglesLUT.DataHistogramNumberOfBins = 10
anglesLUT.ColorSpace = 'Lab'
anglesLUT.UseBelowRangeColor = 0
anglesLUT.BelowRangeColor = [0.0, 0.0, 0.0]
anglesLUT.UseAboveRangeColor = 0
anglesLUT.AboveRangeColor = [0.5, 0.5, 0.5]
anglesLUT.NanColor = [0.250004, 0.0, 0.0]
anglesLUT.NanOpacity = 1.0
anglesLUT.Discretize = 1
anglesLUT.NumberOfTableValues = 256
anglesLUT.ScalarRangeInitialized = 1.0
anglesLUT.HSVWrap = 0
anglesLUT.VectorComponent = 0
anglesLUT.VectorMode = 'Magnitude'
anglesLUT.AllowDuplicateScalars = 1
anglesLUT.Annotations = ['1.57', '$\\pi / 2$', '0.78', '$\\pi/4$', '0', '0']
anglesLUT.ActiveAnnotatedValues = []
anglesLUT.IndexedColors = [1.0, 1.0, 1.0, 1.0, 0.0, 0.0, 1.0, 0.0, 0.0]
anglesLUT.IndexedOpacities = [1.0, 1.0, 1.0]

# get active view
renderView1 = GetActiveViewOrCreate('RenderView')

# get color legend/bar for anglesLUT in view renderView1
anglesLUTColorBar = GetScalarBar(anglesLUT, renderView1)
anglesLUTColorBar.AutoOrient = 1
anglesLUTColorBar.Orientation = 'Vertical'
anglesLUTColorBar.WindowLocation = 'Lower Right Corner'
anglesLUTColorBar.Position = [0.89, 0.02]
anglesLUTColorBar.Title = 'angles'
anglesLUTColorBar.ComponentTitle = ''
anglesLUTColorBar.TitleJustification = 'Centered'
anglesLUTColorBar.HorizontalTitle = 1
anglesLUTColorBar.TitleOpacity = 1.0
anglesLUTColorBar.TitleFontFamily = 'Arial'
anglesLUTColorBar.TitleFontFile = ''
anglesLUTColorBar.TitleBold = 0
anglesLUTColorBar.TitleItalic = 0
anglesLUTColorBar.TitleShadow = 0
anglesLUTColorBar.TitleFontSize = 20
anglesLUTColorBar.LabelOpacity = 1.0
anglesLUTColorBar.LabelFontFamily = 'Arial'
anglesLUTColorBar.LabelFontFile = ''
anglesLUTColorBar.LabelBold = 0
anglesLUTColorBar.LabelItalic = 0
anglesLUTColorBar.LabelShadow = 0
anglesLUTColorBar.LabelFontSize = 16
anglesLUTColorBar.AutomaticLabelFormat = 1
anglesLUTColorBar.LabelFormat = '%-#6.3g'
anglesLUTColorBar.DrawTickMarks = 1
anglesLUTColorBar.DrawTickLabels = 1
anglesLUTColorBar.UseCustomLabels = 0
anglesLUTColorBar.CustomLabels = []
anglesLUTColorBar.AddRangeLabels = 1
anglesLUTColorBar.RangeLabelFormat = '%-#6.1e'
anglesLUTColorBar.DrawAnnotations = 1
anglesLUTColorBar.AddRangeAnnotations = 0
anglesLUTColorBar.AutomaticAnnotations = 0
anglesLUTColorBar.DrawNanAnnotation = 0
anglesLUTColorBar.NanAnnotation = 'NaN'
anglesLUTColorBar.TextPosition = 'Ticks right/top, annotations left/bottom'
anglesLUTColorBar.ReverseLegend = 0
anglesLUTColorBar.ScalarBarThickness = 20
anglesLUTColorBar.ScalarBarLength = 0.5

# Properties modified on anglesLUTColorBar
anglesLUTColorBar.DrawTickMarks = 0
anglesLUTColorBar.DrawTickLabels = 0
anglesLUTColorBar.AddRangeLabels = 0

# Properties modified on anglesLUTColorBar
anglesLUTColorBar.Title = '$\\alpha$'

# Properties modified on anglesLUTColorBar
anglesLUTColorBar.TitleFontFamily = 'Times'

# Properties modified on anglesLUTColorBar
anglesLUTColorBar.TitleFontSize = 30

# Properties modified on anglesLUTColorBar
anglesLUTColorBar.LabelFontSize = 25



#horizontal BAR:
# Properties modified on anglesLUTColorBar
anglesLUTColorBar.AutoOrient = 1
# anglesLUTColorBar.Orientation = 'Horizontal'
anglesLUTColorBar.WindowLocation = 'Lower Right Corner'



# get color legend/bar for anglesLUT in view renderView1
anglesLUTColorBar = GetScalarBar(anglesLUT, renderView1)
anglesLUTColorBar.AutoOrient = 0
anglesLUTColorBar.Orientation = 'Vertical'
anglesLUTColorBar.WindowLocation = 'Lower Right Corner'
anglesLUTColorBar.Position = [0.89, 0.02]
anglesLUTColorBar.Title = '$\\alpha$ '
anglesLUTColorBar.ComponentTitle = ''
anglesLUTColorBar.TitleJustification = 'Centered'
anglesLUTColorBar.HorizontalTitle = 1
anglesLUTColorBar.TitleOpacity = 1.0
anglesLUTColorBar.TitleFontFamily = 'Times'
anglesLUTColorBar.TitleFontFile = ''
anglesLUTColorBar.TitleBold = 0
anglesLUTColorBar.TitleItalic = 0
anglesLUTColorBar.TitleShadow = 0
anglesLUTColorBar.TitleFontSize = 24
anglesLUTColorBar.LabelOpacity = 1.0
anglesLUTColorBar.LabelFontFamily = 'Times'
anglesLUTColorBar.LabelFontFile = ''
anglesLUTColorBar.LabelBold = 0
anglesLUTColorBar.LabelItalic = 0
anglesLUTColorBar.LabelShadow = 0
anglesLUTColorBar.LabelFontSize = 19
anglesLUTColorBar.AutomaticLabelFormat = 1
anglesLUTColorBar.LabelFormat = '%-#6.3g'
anglesLUTColorBar.DrawTickMarks = 0
anglesLUTColorBar.DrawTickLabels = 0
anglesLUTColorBar.UseCustomLabels = 0
anglesLUTColorBar.CustomLabels = []
anglesLUTColorBar.AddRangeLabels = 0
anglesLUTColorBar.RangeLabelFormat = '%-#6.1e'
anglesLUTColorBar.DrawAnnotations = 1
anglesLUTColorBar.AddRangeAnnotations = 0
anglesLUTColorBar.AutomaticAnnotations = 0
anglesLUTColorBar.DrawNanAnnotation = 0
anglesLUTColorBar.NanAnnotation = 'NaN'
anglesLUTColorBar.TextPosition = 'Ticks left/bottom, annotations right/top'
anglesLUTColorBar.ReverseLegend = 0
anglesLUTColorBar.ScalarBarThickness = 20
anglesLUTColorBar.ScalarBarLength = 0.7

# # Properties modified on anglesLUTColorBar
# anglesLUTColorBar.TextPosition = 'Ticks right/top, annotations left/bottom'

# Properties modified on anglesLUTColorBar
anglesLUTColorBar.TextPosition = 'Ticks left/bottom, annotations right/top'


# Properties modified on anglesLUTColorBar
# Properties modified on anglesLUTColorBar
anglesLUTColorBar.TitleOpacity = 0.9

# Properties modified on anglesLUTColorBar
anglesLUTColorBar.LabelColor = [0.0, 0.0, 0.0]



#================================================================
# addendum: following script captures some of the application
# state to faithfully reproduce the visualization during playback
#================================================================








# get active source.
transform1 = GetActiveSource()

# get active view
renderView1 = GetActiveViewOrCreate('RenderView')

# get display properties
transform1Display = GetDisplayProperties(transform1, view=renderView1)

# set scalar coloring
ColorBy(transform1Display, ('POINTS', 'curvature'))

# get color transfer function/color map for 'angles'
anglesLUT = GetColorTransferFunction('angles')
anglesLUT.AutomaticRescaleRangeMode = "Grow and update on 'Apply'"
anglesLUT.InterpretValuesAsCategories = 0
anglesLUT.AnnotationsInitialized = 0
anglesLUT.ShowCategoricalColorsinDataRangeOnly = 0
anglesLUT.RescaleOnVisibilityChange = 0
anglesLUT.EnableOpacityMapping = 1
anglesLUT.RGBPoints = [0.0, 0.0, 0.0, 1.0, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.0, 0.785929, 0.247056, 0.295477, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.266739073084488, 0.41568627450980394, 0.00392156862745098, 0.9686274509803922, 0.4198669450521392, 0.48627450980392156, 0.0, 0.9725490196078431, 0.7755188552446091, 1.0, 0.058823529411764705, 0.984313725490196, 1.0413635969161987, 1.0, 0.0392156862745098, 0.47058823529411764, 1.2052651084495876, 1.0, 0.0196078431372549, 0.14901960784313725, 1.5707963267948966, 1.0, 0.0, 0.01568627450980392]
anglesLUT.UseLogScale = 0
anglesLUT.UseOpacityControlPointsFreehandDrawing = 0
anglesLUT.ShowDataHistogram = 0
anglesLUT.AutomaticDataHistogramComputation = 0
anglesLUT.DataHistogramNumberOfBins = 10
anglesLUT.ColorSpace = 'Lab'
anglesLUT.UseBelowRangeColor = 0
anglesLUT.BelowRangeColor = [0.0, 0.0, 0.0]
anglesLUT.UseAboveRangeColor = 0
anglesLUT.AboveRangeColor = [0.5, 0.5, 0.5]
anglesLUT.NanColor = [0.250004, 0.0, 0.0]
anglesLUT.NanOpacity = 1.0
anglesLUT.Discretize = 1
anglesLUT.NumberOfTableValues = 256
anglesLUT.ScalarRangeInitialized = 1.0
anglesLUT.HSVWrap = 0
anglesLUT.VectorComponent = 0
anglesLUT.VectorMode = 'Magnitude'
anglesLUT.AllowDuplicateScalars = 1
anglesLUT.Annotations = ['1.57', '$\\pi / 2$', '0.78', '$\\pi/4$', '0', '0']
anglesLUT.ActiveAnnotatedValues = []
anglesLUT.IndexedColors = [1.0, 1.0, 1.0, 1.0, 0.0, 0.0, 1.0, 0.0, 0.0]
anglesLUT.IndexedOpacities = [1.0, 1.0, 1.0]

# Hide the scalar bar for this color map if no visible data is colored by it.
HideScalarBarIfNotNeeded(anglesLUT, renderView1)

# rescale color and/or opacity maps used to include current data range
transform1Display.RescaleTransferFunctionToDataRange(True, False)

# show color bar/color legend
transform1Display.SetScalarBarVisibility(renderView1, True)








# get color transfer function/color map for 'curvature'
curvatureLUT = GetColorTransferFunction('curvature')
curvatureLUT.AutomaticRescaleRangeMode = "Grow and update on 'Apply'"
curvatureLUT.InterpretValuesAsCategories = 0
curvatureLUT.AnnotationsInitialized = 0
curvatureLUT.ShowCategoricalColorsinDataRangeOnly = 0
curvatureLUT.RescaleOnVisibilityChange = 0
curvatureLUT.EnableOpacityMapping = 0
curvatureLUT.RGBPoints = [-22.487890958077486, 0.001462, 0.000466, 0.013866, -22.37029032265551, 0.002258, 0.001295, 0.018331, -22.252719672097232, 0.003279, 0.002305, 0.023708, -22.13511903667526, 0.004512, 0.00349, 0.029965, -22.017548386116978, 0.00595, 0.004843, 0.03713, -21.899947750695006, 0.007588, 0.006356, 0.044973, -21.78237710013673, 0.009426, 0.008022, 0.052844, -21.66477646471476, 0.011465, 0.009828, 0.06075, -21.547175829292776, 0.013708, 0.011771, 0.068667, -21.429605178734505, 0.016156, 0.01384, 0.076603, -21.31200454331253, 0.018815, 0.016026, 0.084584, -21.19443389275425, 0.021692, 0.01832, 0.09261, -21.076833257332275, 0.024792, 0.020715, 0.100676, -20.959262606773997, 0.028123, 0.023201, 0.108787, -20.841661971352025, 0.031696, 0.025765, 0.116965, -20.72406133593005, 0.03552, 0.028397, 0.125209, -20.60649068537177, 0.039608, 0.03109, 0.133515, -20.488890049949795, 0.04383, 0.03383, 0.141886, -20.371319399391517, 0.048062, 0.036607, 0.150327, -20.25371876396954, 0.05232, 0.039407, 0.158841, -20.13614811341127, 0.056615, 0.04216, 0.167446, -20.018547477989294, 0.060949, 0.044794, 0.176129, -19.900946842567315, 0.06533, 0.047318, 0.184892, -19.78337619200904, 0.069764, 0.049726, 0.193735, -19.665775556587068, 0.074257, 0.052017, 0.20266, -19.548204906028786, 0.078815, 0.054184, 0.211667, -19.430604270606814, 0.083446, 0.056225, 0.220755, -19.313033620048536, 0.088155, 0.058133, 0.229922, -19.19543298462656, 0.092949, 0.059904, 0.239164, -19.077862334068282, 0.097833, 0.061531, 0.248477, -18.960261698646306, 0.102815, 0.06301, 0.257854, -18.842661063224334, 0.107899, 0.064335, 0.267289, -18.725090412666052, 0.113094, 0.065492, 0.276784, -18.60748977724408, 0.118405, 0.066479, 0.286321, -18.489919126685805, 0.123833, 0.067295, 0.295879, -18.372318491263833, 0.12938, 0.067935, 0.305443, -18.254747840705555, 0.135053, 0.068391, 0.315, -18.13714720528358, 0.140858, 0.068654, 0.324538, -18.019546569861603, 0.146785, 0.068738, 0.334011, -17.901975919303325, 0.152839, 0.068637, 0.343404, -17.784375283881353, 0.159018, 0.068354, 0.352688, -17.66680463332307, 0.165308, 0.067911, 0.361816, -17.549203997901095, 0.171713, 0.067305, 0.370771, -17.431633347342817, 0.178212, 0.066576, 0.379497, -17.314032711920845, 0.184801, 0.065732, 0.387973, -17.19643207649887, 0.19146, 0.064818, 0.396152, -17.078861425940598, 0.198177, 0.063862, 0.404009, -16.961260790518615, 0.204935, 0.062907, 0.411514, -16.843690139960344, 0.211718, 0.061992, 0.418647, -16.72608950453837, 0.218512, 0.061158, 0.425392, -16.60851885398009, 0.225302, 0.060445, 0.431742, -16.490918218558114, 0.232077, 0.059889, 0.437695, -16.373317583136142, 0.238826, 0.059517, 0.443256, -16.255746932577864, 0.245543, 0.059352, 0.448436, -16.138146297155888, 0.25222, 0.059415, 0.453248, -16.02057564659761, 0.258857, 0.059706, 0.45771, -15.902975011175634, 0.265447, 0.060237, 0.46184, -15.785404360617356, 0.271994, 0.060994, 0.46566, -15.66780372519538, 0.278493, 0.061978, 0.46919, -15.550203089773408, 0.284951, 0.063168, 0.472451, -15.432632439215126, 0.291366, 0.064553, 0.475462, -15.315031803793154, 0.29774, 0.066117, 0.478243, -15.19746115323488, 0.304081, 0.067835, 0.480812, -15.079860517812907, 0.310382, 0.069702, 0.483186, -14.962289867254627, 0.316654, 0.07169, 0.48538, -14.844689231832653, 0.322899, 0.073782, 0.487408, -14.727088596410677, 0.329114, 0.075972, 0.489287, -14.6095179458524, 0.335308, 0.078236, 0.491024, -14.491917310430425, 0.341482, 0.080564, 0.492631, -14.374346659872145, 0.347636, 0.082946, 0.494121, -14.256746024450171, 0.353773, 0.085373, 0.495501, -14.139175373891899, 0.359898, 0.087831, 0.496778, -14.021574738469917, 0.366012, 0.090314, 0.49796, -13.903974103047943, 0.372116, 0.092816, 0.499053, -13.78640345248967, 0.378211, 0.095332, 0.500067, -13.668802817067691, 0.384299, 0.097855, 0.501002, -13.551232166509418, 0.390384, 0.100379, 0.501864, -13.433631531087444, 0.396467, 0.102902, 0.502658, -13.316060880529164, 0.402548, 0.10542, 0.503386, -13.19846024510719, 0.408629, 0.10793, 0.504052, -13.08088959454891, 0.414709, 0.110431, 0.504662, -12.963288959126936, 0.420791, 0.11292, 0.505215, -12.845688323704962, 0.426877, 0.115395, 0.505714, -12.728117673146683, 0.432967, 0.117855, 0.50616, -12.610517037724708, 0.439062, 0.120298, 0.506555, -12.49294638716643, 0.445163, 0.122724, 0.506901, -12.375345751744455, 0.451271, 0.125132, 0.507198, -12.257775101186184, 0.457386, 0.127522, 0.507448, -12.140174465764202, 0.463508, 0.129893, 0.507652, -12.022573830342234, 0.46964, 0.132245, 0.507809, -11.905003179783956, 0.47578, 0.134577, 0.507921, -11.787402544361981, 0.481929, 0.136891, 0.507989, -11.669831893803702, 0.488088, 0.139186, 0.508011, -11.552231258381727, 0.494258, 0.141462, 0.507988, -11.434660607823448, 0.500438, 0.143719, 0.50792, -11.317059972401474, 0.506629, 0.145958, 0.507806, -11.1994593369795, 0.512831, 0.148179, 0.507648, -11.08188868642122, 0.519045, 0.150383, 0.507443, -10.964288050999246, 0.52527, 0.152569, 0.507192, -10.846717400440973, 0.531507, 0.154739, 0.506895, -10.729116765018992, 0.537755, 0.156894, 0.506551, -10.61154611446072, 0.544015, 0.159033, 0.506159, -10.493945479038745, 0.550287, 0.161158, 0.505719, -10.376344843616765, 0.556571, 0.163269, 0.50523, -10.258774193058493, 0.562866, 0.165368, 0.504692, -10.141173557636519, 0.569172, 0.167454, 0.504105, -10.023602907078239, 0.57549, 0.16953, 0.503466, -9.906002271656265, 0.581819, 0.171596, 0.502777, -9.788431621097985, 0.588158, 0.173652, 0.502035, -9.67083098567601, 0.594508, 0.175701, 0.501241, -9.553230350254037, 0.600868, 0.177743, 0.500394, -9.435659699695757, 0.607238, 0.179779, 0.499492, -9.318059064273783, 0.613617, 0.181811, 0.498536, -9.200488413715505, 0.620005, 0.18384, 0.497524, -9.082887778293536, 0.626401, 0.185867, 0.496456, -8.965317127735258, 0.632805, 0.187893, 0.495332, -8.847716492313284, 0.639216, 0.189921, 0.49415, -8.730115856891308, 0.645633, 0.191952, 0.49291, -8.61254520633303, 0.652056, 0.193986, 0.491611, -8.494944570911056, 0.658483, 0.196027, 0.490253, -8.377373920352776, 0.664915, 0.198075, 0.488836, -8.259773284930802, 0.671349, 0.200133, 0.487358, -8.142202634372522, 0.677786, 0.202203, 0.485819, -8.024601998950548, 0.684224, 0.204286, 0.484219, -7.907001363528574, 0.690661, 0.206384, 0.482558, -7.789430712970294, 0.697098, 0.208501, 0.480835, -7.67183007754832, 0.703532, 0.210638, 0.479049, -7.554259426990047, 0.709962, 0.212797, 0.477201, -7.4366587915680675, 0.716387, 0.214982, 0.47529, -7.319088141009788, 0.722805, 0.217194, 0.473316, -7.201487505587821, 0.729216, 0.219437, 0.471279, -7.083916855029541, 0.735616, 0.221713, 0.46918, -6.966316219607567, 0.742004, 0.224025, 0.467018, -6.848715584185593, 0.748378, 0.226377, 0.464794, -6.731144933627313, 0.754737, 0.228772, 0.462509, -6.613544298205339, 0.761077, 0.231214, 0.460162, -6.495973647647066, 0.767398, 0.233705, 0.457755, -6.378373012225087, 0.773695, 0.236249, 0.455289, -6.260802361666805, 0.779968, 0.238851, 0.452765, -6.14320172624484, 0.786212, 0.241514, 0.450184, -6.025601090822857, 0.792427, 0.244242, 0.447543, -5.908030440264579, 0.798608, 0.24704, 0.444848, -5.79042980484261, 0.804752, 0.249911, 0.442102, -5.672859154284332, 0.810855, 0.252861, 0.439305, -5.555258518862349, 0.816914, 0.255895, 0.436461, -5.437687868304078, 0.822926, 0.259016, 0.433573, -5.320087232882102, 0.828886, 0.262229, 0.430644, -5.20248659746013, 0.834791, 0.26554, 0.427671, -5.084915946901852, 0.840636, 0.268953, 0.424666, -4.967315311479876, 0.846416, 0.272473, 0.421631, -4.849744660921598, 0.852126, 0.276106, 0.418573, -4.732144025499622, 0.857763, 0.279857, 0.415496, -4.614573374941351, 0.86332, 0.283729, 0.412403, -4.496972739519368, 0.868793, 0.287728, 0.409303, -4.379372104097403, 0.874176, 0.291859, 0.406205, -4.261801453539121, 0.879464, 0.296125, 0.403118, -4.144200818117142, 0.884651, 0.30053, 0.400047, -4.026630167558867, 0.889731, 0.305079, 0.397002, -3.909029532136895, 0.8947, 0.309773, 0.393995, -3.7914588815786168, 0.899552, 0.314616, 0.391037, -3.673858246156641, 0.904281, 0.31961, 0.388137, -3.556257610734665, 0.908884, 0.324755, 0.385308, -3.438686960176387, 0.913354, 0.330052, 0.382563, -3.3210863247544147, 0.917689, 0.3355, 0.379915, -3.20351567419614, 0.921884, 0.341098, 0.377376, -3.0859150387741607, 0.925937, 0.346844, 0.374959, -2.968344388215879, 0.929845, 0.352734, 0.372677, -2.850743752793914, 0.933606, 0.358764, 0.370541, -2.733143117371931, 0.937221, 0.364929, 0.368567, -2.615572466813653, 0.940687, 0.371224, 0.366762, -2.497971831391684, 0.944006, 0.377643, 0.365136, -2.380401180833406, 0.94718, 0.384178, 0.363701, -2.262800545411423, 0.95021, 0.39082, 0.362468, -2.145229894853152, 0.953099, 0.397563, 0.361438, -2.0276292594311762, 0.955849, 0.4044, 0.360619, -1.910028624009204, 0.958464, 0.411324, 0.360014, -1.7924579734509258, 0.960949, 0.418323, 0.35963, -1.67485733802895, 0.96331, 0.42539, 0.359469, -1.557286687470672, 0.965549, 0.432519, 0.359529, -1.4396860520487031, 0.967671, 0.439703, 0.35981, -1.322115401490425, 0.96968, 0.446936, 0.360311, -1.204514766068442, 0.971582, 0.45421, 0.36103, -1.086944115510164, 0.973381, 0.46152, 0.361965, -0.9693434800881953, 0.975082, 0.468861, 0.363111, -0.8517428446662159, 0.97669, 0.476226, 0.364466, -0.7341721941079413, 0.97821, 0.483612, 0.366025, -0.616571558685969, 0.979645, 0.491014, 0.367783, -0.49900090812769093, 0.981, 0.498428, 0.369734, -0.3814002727057151, 0.982279, 0.505851, 0.371874, -0.2638296221474441, 0.983485, 0.51328, 0.374198, -0.14622898672546114, 0.984622, 0.520713, 0.376698, -0.02862835130348884, 0.985693, 0.528148, 0.379371, 0.0889422992547857, 0.9867, 0.535582, 0.38221, 0.2065429346767651, 0.987646, 0.543015, 0.38521, 0.32411358523504674, 0.988533, 0.550446, 0.388365, 0.44171422065701194, 0.989363, 0.557873, 0.391671, 0.5592848712152936, 0.990138, 0.565296, 0.395122, 0.676885506637273, 0.990871, 0.572706, 0.398714, 0.7944861420592417, 0.991558, 0.580107, 0.402441, 0.9120567926175198, 0.992196, 0.587502, 0.406299, 1.0296574280394957, 0.992785, 0.594891, 0.410283, 1.1472280785977738, 0.993326, 0.602275, 0.41439, 1.2648287140197496, 0.993834, 0.609644, 0.418613, 1.3823993645780277, 0.994309, 0.616999, 0.42295, 1.5, 0.994738, 0.62435, 0.427397, 1.6176006354219759, 0.995122, 0.631696, 0.431951, 1.735171285980254, 0.99548, 0.639027, 0.436607, 1.8527719214022227, 0.99581, 0.646344, 0.441361, 1.9703425719605008, 0.996096, 0.653659, 0.446213, 2.0879432073824837, 0.996341, 0.660969, 0.45116, 2.2055138579407547, 0.99658, 0.668256, 0.456192, 2.3231144933627306, 0.996775, 0.675541, 0.461314, 2.44071512878471, 0.996925, 0.682828, 0.466526, 2.5582857793429845, 0.997077, 0.690088, 0.471811, 2.675886414764957, 0.997186, 0.697349, 0.477182, 2.793457065323235, 0.997254, 0.704611, 0.482635, 2.9110577007452108, 0.997325, 0.711848, 0.488154, 3.0286283513034817, 0.997351, 0.719089, 0.493755, 3.1462289867254647, 0.997351, 0.726324, 0.499428, 3.263829622147437, 0.997341, 0.733545, 0.505167, 3.3814002727057115, 0.997285, 0.740772, 0.510983, 3.499000908127691, 0.997228, 0.747981, 0.516859, 3.6165715586859726, 0.997138, 0.75519, 0.522806, 3.7341721941079378, 0.997019, 0.762398, 0.528821, 3.8517428446662194, 0.996898, 0.769591, 0.534892, 3.969343480088199, 0.996727, 0.776795, 0.541039, 4.086944115510168, 0.996571, 0.783977, 0.547233, 4.204514766068446, 0.996369, 0.791167, 0.553499, 4.3221154014904215, 0.996162, 0.798348, 0.55982, 4.4396860520487, 0.995932, 0.805527, 0.566202, 4.557286687470672, 0.99568, 0.812706, 0.572645, 4.6748573380289535, 0.995424, 0.819875, 0.57914, 4.792457973450919, 0.995131, 0.827052, 0.585701, 4.9100286240092, 0.994851, 0.834213, 0.592307, 5.02762925943118, 0.994524, 0.841387, 0.598983, 5.1452298948531485, 0.994222, 0.84854, 0.605696, 5.262800545411427, 0.993866, 0.855711, 0.612482, 5.38040118083341, 0.993545, 0.862859, 0.619299, 5.4979718313916806, 0.99317, 0.870024, 0.626189, 5.615572466813656, 0.992831, 0.877168, 0.633109, 5.7331431173719345, 0.99244, 0.88433, 0.640099, 5.85074375279391, 0.992089, 0.89147, 0.647116, 5.968344388215883, 0.991688, 0.898627, 0.654202, 6.085915038774161, 0.991332, 0.905763, 0.661309, 6.203515674196137, 0.99093, 0.912915, 0.668481, 6.321086324754408, 0.99057, 0.920049, 0.675675, 6.4386869601763905, 0.990175, 0.927196, 0.682926, 6.556257610734669, 0.989815, 0.934329, 0.690198, 6.673858246156637, 0.989434, 0.94147, 0.697519, 6.791458881578617, 0.989077, 0.948604, 0.704863, 6.909029532136898, 0.988717, 0.955742, 0.712242, 7.026630167558864, 0.988367, 0.962878, 0.719649, 7.144200818117145, 0.988033, 0.970012, 0.727077, 7.2618014535391175, 0.987691, 0.977154, 0.734536, 7.379372104097396, 0.987387, 0.984288, 0.742002, 7.4969727395193715, 0.987053, 0.991438, 0.749504]
curvatureLUT.UseLogScale = 0
curvatureLUT.UseOpacityControlPointsFreehandDrawing = 0
curvatureLUT.ShowDataHistogram = 0
curvatureLUT.AutomaticDataHistogramComputation = 0
curvatureLUT.DataHistogramNumberOfBins = 10
curvatureLUT.ColorSpace = 'RGB'
curvatureLUT.UseBelowRangeColor = 0
curvatureLUT.BelowRangeColor = [0.0, 0.0, 0.0]
curvatureLUT.UseAboveRangeColor = 0
curvatureLUT.AboveRangeColor = [0.5, 0.5, 0.5]
curvatureLUT.NanColor = [0.0, 1.0, 0.0]
curvatureLUT.NanOpacity = 1.0
curvatureLUT.Discretize = 1
curvatureLUT.NumberOfTableValues = 256
curvatureLUT.ScalarRangeInitialized = 1.0
curvatureLUT.HSVWrap = 0
curvatureLUT.VectorComponent = 0
curvatureLUT.VectorMode = 'Magnitude'
curvatureLUT.AllowDuplicateScalars = 1
curvatureLUT.Annotations = []
curvatureLUT.ActiveAnnotatedValues = []
curvatureLUT.IndexedColors = []
curvatureLUT.IndexedOpacities = []

# get opacity transfer function/opacity map for 'curvature'
curvaturePWF = GetOpacityTransferFunction('curvature')
curvaturePWF.Points = [-22.487890958077486, 0.8602941036224365, 0.5, 0.0, -16.076033351009407, 0.625, 0.5, 0.0, -11.644308534050879, 0.6691176295280457, 0.5, 0.0, -2.498981421762373, 0.8676470518112183, 0.5, 0.0, -0.4235583054517704, 0.6911764740943909, 0.5, 0.0, 7.4969727395193715, 0.8014705777168274, 0.5, 0.0]
curvaturePWF.AllowDuplicateScalars = 1
curvaturePWF.UseLogScale = 0
curvaturePWF.ScalarRangeInitialized = 1

# Apply a preset using its name. Note this may not work as expected when presets have duplicate names.
curvatureLUT.ApplyPreset('Plasma (matplotlib)', True)
# Apply a preset using its name. Note this may not work as expected when presets have duplicate names.
# curvatureLUT.ApplyPreset('Spectrum Step', True)


### LOG SCALE :

# # convert to log space
# curvatureLUT.MapControlPointsToLogSpace()
#
# # Properties modified on curvatureLUT
# curvatureLUT.UseLogScale = 1



#### LEGEND :

# get color transfer function/color map for 'curvature'
curvatureLUT = GetColorTransferFunction('curvature')
curvatureLUT.AutomaticRescaleRangeMode = "Grow and update on 'Apply'"
curvatureLUT.InterpretValuesAsCategories = 0
curvatureLUT.AnnotationsInitialized = 0
curvatureLUT.ShowCategoricalColorsinDataRangeOnly = 0
curvatureLUT.RescaleOnVisibilityChange = 0
curvatureLUT.EnableOpacityMapping = 0
curvatureLUT.RGBPoints = [-22.487890958077486, 0.050383, 0.029803, 0.527975, -22.37029032265551, 0.063536, 0.028426, 0.533124, -22.252719672097236, 0.075353, 0.027206, 0.538007, -22.13511903667526, 0.086222, 0.026125, 0.542658, -22.01754838611698, 0.096379, 0.025165, 0.547103, -21.899947750695006, 0.10598, 0.024309, 0.551368, -21.782377100136728, 0.115124, 0.023556, 0.555468, -21.664776464714755, 0.123903, 0.022878, 0.559423, -21.54717582929278, 0.132381, 0.022258, 0.56325, -21.4296051787345, 0.140603, 0.021687, 0.566959, -21.31200454331253, 0.148607, 0.021154, 0.570562, -21.19443389275425, 0.156421, 0.020651, 0.574065, -21.076833257332275, 0.16407, 0.020171, 0.577478, -20.959262606773997, 0.171574, 0.019706, 0.580806, -20.841661971352025, 0.17895, 0.019252, 0.584054, -20.72406133593005, 0.186213, 0.018803, 0.587228, -20.60649068537177, 0.193374, 0.018354, 0.59033, -20.488890049949795, 0.200445, 0.017902, 0.593364, -20.37131939939152, 0.207435, 0.017442, 0.596333, -20.253718763969545, 0.21435, 0.016973, 0.599239, -20.136148113411267, 0.221197, 0.016497, 0.602083, -20.01854747798929, 0.227983, 0.016007, 0.604867, -19.90094684256732, 0.234715, 0.015502, 0.607592, -19.78337619200904, 0.241396, 0.014979, 0.610259, -19.665775556587064, 0.248032, 0.014439, 0.612868, -19.548204906028786, 0.254627, 0.013882, 0.615419, -19.430604270606814, 0.261183, 0.013308, 0.617911, -19.313033620048536, 0.267703, 0.012716, 0.620346, -19.19543298462656, 0.274191, 0.012109, 0.622722, -19.077862334068282, 0.280648, 0.011488, 0.625038, -18.96026169864631, 0.287076, 0.010855, 0.627295, -18.842661063224334, 0.293478, 0.010213, 0.62949, -18.725090412666056, 0.299855, 0.009561, 0.631624, -18.60748977724408, 0.30621, 0.008902, 0.633694, -18.489919126685805, 0.312543, 0.008239, 0.6357, -18.37231849126383, 0.318856, 0.007576, 0.63764, -18.25474784070555, 0.32515, 0.006915, 0.639512, -18.137147205283576, 0.331426, 0.006261, 0.641316, -18.019546569861603, 0.337683, 0.005618, 0.643049, -17.901975919303325, 0.343925, 0.004991, 0.64471, -17.78437528388135, 0.35015, 0.004382, 0.646298, -17.66680463332307, 0.356359, 0.003798, 0.64781, -17.5492039979011, 0.362553, 0.003243, 0.649245, -17.43163334734282, 0.368733, 0.002724, 0.650601, -17.314032711920845, 0.374897, 0.002245, 0.651876, -17.196432076498873, 0.381047, 0.001814, 0.653068, -17.078861425940595, 0.387183, 0.001434, 0.654177, -16.96126079051862, 0.393304, 0.001114, 0.655199, -16.84369013996034, 0.399411, 0.000859, 0.656133, -16.726089504538365, 0.405503, 0.000678, 0.656977, -16.60851885398009, 0.41158, 0.000577, 0.65773, -16.490918218558114, 0.417642, 0.000564, 0.65839, -16.37331758313614, 0.423689, 0.000646, 0.658956, -16.255746932577864, 0.429719, 0.000831, 0.659425, -16.138146297155888, 0.435734, 0.001127, 0.659797, -16.02057564659761, 0.441732, 0.00154, 0.660069, -15.902975011175634, 0.447714, 0.00208, 0.66024, -15.785404360617358, 0.453677, 0.002755, 0.66031, -15.667803725195384, 0.459623, 0.003574, 0.660277, -15.550203089773408, 0.46555, 0.004545, 0.660139, -15.43263243921513, 0.471457, 0.005678, 0.659897, -15.315031803793156, 0.477344, 0.00698, 0.659549, -15.19746115323488, 0.48321, 0.00846, 0.659095, -15.079860517812904, 0.489055, 0.010127, 0.658534, -14.962289867254627, 0.494877, 0.01199, 0.657865, -14.844689231832652, 0.500678, 0.014055, 0.657088, -14.727088596410677, 0.506454, 0.016333, 0.656202, -14.6095179458524, 0.512206, 0.018833, 0.655209, -14.491917310430425, 0.517933, 0.021563, 0.654109, -14.374346659872147, 0.523633, 0.024532, 0.652901, -14.256746024450173, 0.529306, 0.027747, 0.651586, -14.139175373891895, 0.534952, 0.031217, 0.650165, -14.02157473846992, 0.54057, 0.03495, 0.64864, -13.903974103047945, 0.546157, 0.038954, 0.64701, -13.786403452489669, 0.551715, 0.043136, 0.645277, -13.668802817067693, 0.557243, 0.047331, 0.643443, -13.551232166509417, 0.562738, 0.051545, 0.641509, -13.433631531087443, 0.568201, 0.055778, 0.639477, -13.316060880529164, 0.573632, 0.060028, 0.637349, -13.198460245107189, 0.579029, 0.064296, 0.635126, -13.080889594548912, 0.584391, 0.068579, 0.632812, -12.963288959126936, 0.589719, 0.072878, 0.630408, -12.845688323704962, 0.595011, 0.07719, 0.627917, -12.728117673146684, 0.600266, 0.081516, 0.625342, -12.61051703772471, 0.605485, 0.085854, 0.622686, -12.492946387166432, 0.610667, 0.090204, 0.619951, -12.375345751744456, 0.615812, 0.094564, 0.61714, -12.257775101186182, 0.620919, 0.098934, 0.614257, -12.140174465764206, 0.625987, 0.103312, 0.611305, -12.02257383034223, 0.631017, 0.107699, 0.608287, -11.905003179783954, 0.636008, 0.112092, 0.605205, -11.78740254436198, 0.640959, 0.116492, 0.602065, -11.669831893803702, 0.645872, 0.120898, 0.598867, -11.552231258381727, 0.650746, 0.125309, 0.595617, -11.43466060782345, 0.65558, 0.129725, 0.592317, -11.317059972401474, 0.660374, 0.134144, 0.588971, -11.1994593369795, 0.665129, 0.138566, 0.585582, -11.081888686421221, 0.669845, 0.142992, 0.582154, -10.964288050999247, 0.674522, 0.147419, 0.578688, -10.84671740044097, 0.67916, 0.151848, 0.575189, -10.729116765018995, 0.683758, 0.156278, 0.57166, -10.611546114460719, 0.688318, 0.160709, 0.568103, -10.493945479038743, 0.69284, 0.165141, 0.564522, -10.376344843616767, 0.697324, 0.169573, 0.560919, -10.25877419305849, 0.701769, 0.174005, 0.557296, -10.141173557636517, 0.706178, 0.178437, 0.553657, -10.023602907078239, 0.710549, 0.182868, 0.550004, -9.906002271656265, 0.714883, 0.187299, 0.546338, -9.788431621097986, 0.719181, 0.191729, 0.542663, -9.67083098567601, 0.723444, 0.196158, 0.538981, -9.553230350254037, 0.72767, 0.200586, 0.535293, -9.435659699695758, 0.731862, 0.205013, 0.531601, -9.318059064273784, 0.736019, 0.209439, 0.527908, -9.200488413715508, 0.740143, 0.213864, 0.524216, -9.082887778293532, 0.744232, 0.218288, 0.520524, -8.965317127735256, 0.748289, 0.222711, 0.516834, -8.847716492313282, 0.752312, 0.227133, 0.513149, -8.730115856891306, 0.756304, 0.231555, 0.509468, -8.612545206333028, 0.760264, 0.235976, 0.505794, -8.494944570911054, 0.764193, 0.240396, 0.502126, -8.377373920352776, 0.76809, 0.244817, 0.498465, -8.259773284930802, 0.771958, 0.249237, 0.494813, -8.142202634372524, 0.775796, 0.253658, 0.491171, -8.02460199895055, 0.779604, 0.258078, 0.487539, -7.907001363528574, 0.783383, 0.2625, 0.483918, -7.7894307129702955, 0.787133, 0.266922, 0.480307, -7.6718300775483215, 0.790855, 0.271345, 0.476706, -7.554259426990045, 0.794549, 0.27577, 0.473117, -7.436658791568069, 0.798216, 0.280197, 0.469538, -7.319088141009791, 0.801855, 0.284626, 0.465971, -7.201487505587817, 0.805467, 0.289057, 0.462415, -7.083916855029541, 0.809052, 0.293491, 0.45887, -6.966316219607567, 0.812612, 0.297928, 0.455338, -6.848715584185593, 0.816144, 0.302368, 0.451816, -6.731144933627313, 0.819651, 0.306812, 0.448306, -6.613544298205339, 0.823132, 0.311261, 0.444806, -6.495973647647062, 0.826588, 0.315714, 0.441316, -6.378373012225087, 0.830018, 0.320172, 0.437836, -6.2608023616668085, 0.833422, 0.324635, 0.434366, -6.143201726244836, 0.836801, 0.329105, 0.430905, -6.02560109082286, 0.840155, 0.33358, 0.427455, -5.908030440264582, 0.843484, 0.338062, 0.424013, -5.790429804842606, 0.846788, 0.342551, 0.420579, -5.672859154284332, 0.850066, 0.347048, 0.417153, -5.5552585188623524, 0.853319, 0.351553, 0.413734, -5.437687868304078, 0.856547, 0.356066, 0.410322, -5.320087232882102, 0.85975, 0.360588, 0.406917, -5.20248659746013, 0.862927, 0.365119, 0.403519, -5.084915946901852, 0.866078, 0.36966, 0.400126, -4.967315311479876, 0.869203, 0.374212, 0.396738, -4.849744660921601, 0.872303, 0.378774, 0.393355, -4.732144025499622, 0.875376, 0.383347, 0.389976, -4.614573374941347, 0.878423, 0.387932, 0.3866, -4.4969727395193715, 0.881443, 0.392529, 0.383229, -4.379372104097399, 0.884436, 0.397139, 0.37986, -4.2618014535391175, 0.887402, 0.401762, 0.376494, -4.144200818117145, 0.89034, 0.406398, 0.37313, -4.026630167558867, 0.89325, 0.411048, 0.369768, -3.9090295321368913, 0.896131, 0.415712, 0.366407, -3.7914588815786168, 0.898984, 0.420392, 0.363047, -3.673858246156641, 0.901807, 0.425087, 0.359688, -3.556257610734665, 0.904601, 0.429797, 0.356329, -3.438686960176387, 0.907365, 0.434524, 0.35297, -3.3210863247544147, 0.910098, 0.439268, 0.34961, -3.2035156741961366, 0.9128, 0.444029, 0.346251, -3.0859150387741607, 0.915471, 0.448807, 0.34289, -2.9683443882158826, 0.918109, 0.453603, 0.339529, -2.8507437527939103, 0.920714, 0.458417, 0.336166, -2.7331431173719345, 0.923287, 0.463251, 0.332801, -2.6155724668136564, 0.925825, 0.468103, 0.329435, -2.4979718313916806, 0.928329, 0.472975, 0.326067, -2.380401180833406, 0.930798, 0.477867, 0.322697, -2.2628005454114266, 0.933232, 0.48278, 0.319325, -2.145229894853152, 0.93563, 0.487712, 0.315952, -2.0276292594311762, 0.93799, 0.492667, 0.312575, -1.910028624009204, 0.940313, 0.497642, 0.309197, -1.7924579734509258, 0.942598, 0.502639, 0.305816, -1.67485733802895, 0.944844, 0.507658, 0.302433, -1.5572866874706754, 0.947051, 0.512699, 0.299049, -1.4396860520486996, 0.949217, 0.517763, 0.295662, -1.3221154014904215, 0.951344, 0.52285, 0.292275, -1.2045147660684457, 0.953428, 0.52796, 0.288883, -1.0869441155101676, 0.95547, 0.533093, 0.28549, -0.9693434800881917, 0.957469, 0.53825, 0.282096, -0.8517428446662194, 0.959424, 0.543431, 0.278701, -0.7341721941079413, 0.961336, 0.548636, 0.275305, -0.616571558685969, 0.963203, 0.553865, 0.271909, -0.49900090812769093, 0.965024, 0.559118, 0.268513, -0.3814002727057151, 0.966798, 0.564396, 0.265118, -0.26382962214744055, 0.968526, 0.5697, 0.261721, -0.14622898672546114, 0.970205, 0.575028, 0.258325, -0.02862835130348884, 0.971835, 0.580382, 0.254931, 0.08894229925478925, 0.973416, 0.585761, 0.25154, 0.20654293467676155, 0.974947, 0.591165, 0.248151, 0.3241135852350432, 0.976428, 0.596595, 0.244767, 0.4417142206570155, 0.977856, 0.602051, 0.241387, 0.5592848712152936, 0.979233, 0.607532, 0.238013, 0.6768855066372694, 0.980556, 0.613039, 0.234646, 0.7944861420592453, 0.981826, 0.618572, 0.231287, 0.9120567926175198, 0.983041, 0.624131, 0.227937, 1.0296574280394957, 0.984199, 0.629718, 0.224595, 1.1472280785977738, 0.985301, 0.63533, 0.221265, 1.2648287140197496, 0.986345, 0.640969, 0.217948, 1.3823993645780241, 0.987332, 0.646633, 0.214648, 1.5, 0.98826, 0.652325, 0.211364, 1.6176006354219759, 0.989128, 0.658043, 0.2081, 1.7351712859802504, 0.989935, 0.663787, 0.204859, 1.8527719214022262, 0.990681, 0.669558, 0.201642, 1.9703425719605043, 0.991365, 0.675355, 0.198453, 2.08794320738248, 0.991985, 0.681179, 0.195295, 2.2055138579407547, 0.992541, 0.68703, 0.19217, 2.323114493362734, 0.993032, 0.692907, 0.189084, 2.4407151287847064, 0.993456, 0.69881, 0.186041, 2.5582857793429845, 0.993814, 0.704741, 0.183043, 2.675886414764957, 0.994103, 0.710698, 0.180097, 2.793457065323235, 0.994324, 0.716681, 0.177208, 2.9110577007452108, 0.994474, 0.722691, 0.174381, 3.0286283513034853, 0.994553, 0.728728, 0.171622, 3.1462289867254647, 0.994561, 0.734791, 0.168938, 3.263829622147437, 0.994495, 0.74088, 0.166335, 3.381400272705715, 0.994355, 0.746995, 0.163821, 3.4990009081276874, 0.994141, 0.753137, 0.161404, 3.616571558685969, 0.993851, 0.759304, 0.159092, 3.7341721941079413, 0.993482, 0.765499, 0.156891, 3.8517428446662194, 0.993033, 0.77172, 0.154808, 3.9693434800881953, 0.992505, 0.777967, 0.152855, 4.086944115510171, 0.991897, 0.784239, 0.151042, 4.204514766068446, 0.991209, 0.790537, 0.149377, 4.3221154014904215, 0.990439, 0.796859, 0.14787, 4.4396860520487, 0.989587, 0.803205, 0.146529, 4.557286687470672, 0.988648, 0.809579, 0.145357, 4.67485733802895, 0.987621, 0.815978, 0.144363, 4.792457973450922, 0.986509, 0.822401, 0.143557, 4.910028624009204, 0.985314, 0.828846, 0.142945, 5.027629259431176, 0.984031, 0.835315, 0.142528, 5.145229894853152, 0.982653, 0.841812, 0.142303, 5.26280054541143, 0.98119, 0.848329, 0.142279, 5.380401180833406, 0.979644, 0.854866, 0.142453, 5.4979718313916806, 0.977995, 0.861432, 0.142808, 5.615572466813656, 0.976265, 0.868016, 0.143351, 5.7331431173719345, 0.974443, 0.874622, 0.144061, 5.85074375279391, 0.97253, 0.88125, 0.144923, 5.968344388215883, 0.970533, 0.887896, 0.145919, 6.085915038774161, 0.968443, 0.894564, 0.147014, 6.203515674196137, 0.966271, 0.901249, 0.14818, 6.321086324754411, 0.964021, 0.90795, 0.14937, 6.438686960176387, 0.961681, 0.914672, 0.15052, 6.556257610734665, 0.959276, 0.921407, 0.151566, 6.673858246156641, 0.956808, 0.928152, 0.152409, 6.791458881578613, 0.954287, 0.934908, 0.152921, 6.909029532136895, 0.951726, 0.941671, 0.152925, 7.026630167558867, 0.949151, 0.948435, 0.152178, 7.144200818117145, 0.946602, 0.95519, 0.150328, 7.2618014535391175, 0.944152, 0.961916, 0.146861, 7.379372104097396, 0.941896, 0.96859, 0.140956, 7.4969727395193715, 0.940015, 0.975158, 0.131326]
curvatureLUT.UseLogScale = 0
curvatureLUT.UseOpacityControlPointsFreehandDrawing = 0
curvatureLUT.ShowDataHistogram = 0
curvatureLUT.AutomaticDataHistogramComputation = 0
curvatureLUT.DataHistogramNumberOfBins = 10
curvatureLUT.ColorSpace = 'Diverging'
curvatureLUT.UseBelowRangeColor = 0
curvatureLUT.BelowRangeColor = [0.0, 0.0, 0.0]
curvatureLUT.UseAboveRangeColor = 0
curvatureLUT.AboveRangeColor = [0.5, 0.5, 0.5]
curvatureLUT.NanColor = [0.0, 1.0, 0.0]
curvatureLUT.NanOpacity = 1.0
curvatureLUT.Discretize = 1
curvatureLUT.NumberOfTableValues = 256
curvatureLUT.ScalarRangeInitialized = 1.0
curvatureLUT.HSVWrap = 0
curvatureLUT.VectorComponent = 0
curvatureLUT.VectorMode = 'Magnitude'
curvatureLUT.AllowDuplicateScalars = 1
curvatureLUT.Annotations = []
curvatureLUT.ActiveAnnotatedValues = []
curvatureLUT.IndexedColors = []
curvatureLUT.IndexedOpacities = []

# get active view
renderView1 = GetActiveViewOrCreate('RenderView')

# get color legend/bar for curvatureLUT in view renderView1
curvatureLUTColorBar = GetScalarBar(curvatureLUT, renderView1)
curvatureLUTColorBar.AutoOrient = 1
curvatureLUTColorBar.Orientation = 'Vertical'
curvatureLUTColorBar.WindowLocation = 'Lower Right Corner'
curvatureLUTColorBar.Position = [0.89, 0.02]
curvatureLUTColorBar.Title = 'curvature'
curvatureLUTColorBar.ComponentTitle = ''
curvatureLUTColorBar.TitleJustification = 'Centered'
curvatureLUTColorBar.HorizontalTitle = 0
curvatureLUTColorBar.TitleOpacity = 1.0
curvatureLUTColorBar.TitleFontFamily = 'Arial'
curvatureLUTColorBar.TitleFontFile = ''
curvatureLUTColorBar.TitleBold = 0
curvatureLUTColorBar.TitleItalic = 0
curvatureLUTColorBar.TitleShadow = 0
curvatureLUTColorBar.TitleFontSize = 16
curvatureLUTColorBar.LabelOpacity = 1.0
curvatureLUTColorBar.LabelFontFamily = 'Arial'
curvatureLUTColorBar.LabelFontFile = ''
curvatureLUTColorBar.LabelBold = 0
curvatureLUTColorBar.LabelItalic = 0
curvatureLUTColorBar.LabelShadow = 0
curvatureLUTColorBar.LabelFontSize = 16
curvatureLUTColorBar.AutomaticLabelFormat = 1
curvatureLUTColorBar.LabelFormat = '%-#6.3g'
curvatureLUTColorBar.DrawTickMarks = 1
curvatureLUTColorBar.DrawTickLabels = 1
curvatureLUTColorBar.UseCustomLabels = 0
curvatureLUTColorBar.CustomLabels = []
curvatureLUTColorBar.AddRangeLabels = 1
curvatureLUTColorBar.RangeLabelFormat = '%-#6.1e'
curvatureLUTColorBar.DrawAnnotations = 1
curvatureLUTColorBar.AddRangeAnnotations = 0
curvatureLUTColorBar.AutomaticAnnotations = 0
curvatureLUTColorBar.DrawNanAnnotation = 0
curvatureLUTColorBar.NanAnnotation = 'NaN'
curvatureLUTColorBar.TextPosition = 'Ticks right/top, annotations left/bottom'
curvatureLUTColorBar.ReverseLegend = 0
curvatureLUTColorBar.ScalarBarThickness = 16
curvatureLUTColorBar.ScalarBarLength = 0.33

# Properties modified on curvatureLUTColorBar
curvatureLUTColorBar.Title = '$\\kappa$'
curvatureLUTColorBar.HorizontalTitle = 1
curvatureLUTColorBar.TitleFontFamily = 'Times'
curvatureLUTColorBar.TitleFontSize = 30
curvatureLUTColorBar.LabelFontFamily = 'Times'
curvatureLUTColorBar.LabelFontSize = 25

# Properties modified on curvatureLUTColorBar
curvatureLUTColorBar.TitleJustification = 'Left'

# Properties modified on curvatureLUTColorBar
curvatureLUTColorBar.ScalarBarThickness = 20
curvatureLUTColorBar.ScalarBarLength = 0.7


# Properties modified on curvatureLUTColorBar
curvatureLUTColorBar.AddRangeLabels = 1

# Properties modified on curvatureLUTColorBar
curvatureLUTColorBar.AddRangeLabels = 0


# Properties modified on curvatureLUTColorBar
curvatureLUTColorBar.TextPosition = 'Ticks left/bottom, annotations right/top'

# Properties modified on curvatureLUTColorBar
# curvatureLUTColorBar.TitleJustification = 'Centered'

# Properties modified on curvatureLUTColorBar
curvatureLUTColorBar.AutoOrient = 1
curvatureLUTColorBar.TitleJustification = 'Right'
anglesLUTColorBar.WindowLocation = 'Lower Right Corner'



## TEST CHange COLORBAR Position


# get color legend/bar for curvatureLUT in view renderView1
curvatureLUTColorBar = GetScalarBar(curvatureLUT, renderView1)
curvatureLUTColorBar.AutoOrient = 1
curvatureLUTColorBar.Orientation = 'Vertical'
curvatureLUTColorBar.WindowLocation = 'Any Location'
curvatureLUTColorBar.Position = [0.89, 0.02]
curvatureLUTColorBar.Title = '$\\kappa$'
curvatureLUTColorBar.ComponentTitle = ''
curvatureLUTColorBar.TitleJustification = 'Right'
curvatureLUTColorBar.HorizontalTitle = 1
curvatureLUTColorBar.TitleOpacity = 1.0
curvatureLUTColorBar.TitleFontFamily = 'Times'
curvatureLUTColorBar.TitleFontFile = ''
curvatureLUTColorBar.TitleBold = 0
curvatureLUTColorBar.TitleItalic = 0
curvatureLUTColorBar.TitleShadow = 0
curvatureLUTColorBar.TitleFontSize = 30
curvatureLUTColorBar.LabelOpacity = 1.0
curvatureLUTColorBar.LabelFontFamily = 'Times'
curvatureLUTColorBar.LabelFontFile = ''
curvatureLUTColorBar.LabelBold = 0
curvatureLUTColorBar.LabelItalic = 0
curvatureLUTColorBar.LabelShadow = 0
curvatureLUTColorBar.LabelFontSize = 25
curvatureLUTColorBar.AutomaticLabelFormat = 1
curvatureLUTColorBar.LabelFormat = '%-#6.3g'
curvatureLUTColorBar.DrawTickMarks = 1
curvatureLUTColorBar.DrawTickLabels = 1
curvatureLUTColorBar.UseCustomLabels = 0
curvatureLUTColorBar.CustomLabels = []
curvatureLUTColorBar.AddRangeLabels = 0
curvatureLUTColorBar.RangeLabelFormat = '%-#6.1e'
curvatureLUTColorBar.DrawAnnotations = 0
curvatureLUTColorBar.AddRangeAnnotations = 0
curvatureLUTColorBar.AutomaticAnnotations = 0
curvatureLUTColorBar.DrawNanAnnotation = 0
curvatureLUTColorBar.NanAnnotation = 'NaN'
curvatureLUTColorBar.TextPosition = 'Ticks left/bottom, annotations right/top'
curvatureLUTColorBar.ReverseLegend = 0
curvatureLUTColorBar.ScalarBarThickness = 20
curvatureLUTColorBar.ScalarBarLength = 0.7

# change scalar bar placement
curvatureLUTColorBar.Position = [0.96, 0.0]




if isosurface :

    #################################### ADD ISOSURFACE ##########################
    # find source
    transform1 = FindSource('Transform1')

    # create a new 'Contour'
    contour1 = Contour(registrationName='Contour1', Input=transform1)
    contour1.ContourBy = ['POINTS', 'Type']
    contour1.ComputeNormals = 1
    contour1.ComputeGradients = 0
    contour1.ComputeScalars = 1
    contour1.OutputPointsPrecision = 'Same as input'
    contour1.GenerateTriangles = 1
    contour1.Isosurfaces = [1.0]
    contour1.PointMergeMethod = 'Uniform Binning'

    # init the 'Uniform Binning' selected for 'PointMergeMethod'
    contour1.PointMergeMethod.Divisions = [50, 50, 50]
    contour1.PointMergeMethod.Numberofpointsperbucket = 8

    # find source
    xMLStructuredGridReader1 = FindSource('XMLStructuredGridReader1')

    # Properties modified on xMLStructuredGridReader1
    xMLStructuredGridReader1.TimeArray = 'None'

    # Properties modified on contour1
    contour1.ContourBy = ['POINTS', 'curvature']
    contour1.Isosurfaces = [0.0]

    # get active view
    renderView1 = GetActiveViewOrCreate('RenderView')

    # show data in view
    contour1Display = Show(contour1, renderView1, 'GeometryRepresentation')

    # get color transfer function/color map for 'curvature'
    curvatureLUT = GetColorTransferFunction('curvature')
    curvatureLUT.AutomaticRescaleRangeMode = "Grow and update on 'Apply'"
    curvatureLUT.InterpretValuesAsCategories = 0
    curvatureLUT.AnnotationsInitialized = 0
    curvatureLUT.ShowCategoricalColorsinDataRangeOnly = 0
    curvatureLUT.RescaleOnVisibilityChange = 0
    curvatureLUT.EnableOpacityMapping = 0
    curvatureLUT.RGBPoints = [-22.487890958077486, 0.050383, 0.029803, 0.527975, -22.37029032265551, 0.063536, 0.028426, 0.533124, -22.252719672097236, 0.075353, 0.027206, 0.538007, -22.13511903667526, 0.086222, 0.026125, 0.542658, -22.01754838611698, 0.096379, 0.025165, 0.547103, -21.899947750695006, 0.10598, 0.024309, 0.551368, -21.782377100136728, 0.115124, 0.023556, 0.555468, -21.664776464714755, 0.123903, 0.022878, 0.559423, -21.54717582929278, 0.132381, 0.022258, 0.56325, -21.4296051787345, 0.140603, 0.021687, 0.566959, -21.31200454331253, 0.148607, 0.021154, 0.570562, -21.19443389275425, 0.156421, 0.020651, 0.574065, -21.076833257332275, 0.16407, 0.020171, 0.577478, -20.959262606773997, 0.171574, 0.019706, 0.580806, -20.841661971352025, 0.17895, 0.019252, 0.584054, -20.72406133593005, 0.186213, 0.018803, 0.587228, -20.60649068537177, 0.193374, 0.018354, 0.59033, -20.488890049949795, 0.200445, 0.017902, 0.593364, -20.37131939939152, 0.207435, 0.017442, 0.596333, -20.253718763969545, 0.21435, 0.016973, 0.599239, -20.136148113411267, 0.221197, 0.016497, 0.602083, -20.01854747798929, 0.227983, 0.016007, 0.604867, -19.90094684256732, 0.234715, 0.015502, 0.607592, -19.78337619200904, 0.241396, 0.014979, 0.610259, -19.665775556587064, 0.248032, 0.014439, 0.612868, -19.548204906028786, 0.254627, 0.013882, 0.615419, -19.430604270606814, 0.261183, 0.013308, 0.617911, -19.313033620048536, 0.267703, 0.012716, 0.620346, -19.19543298462656, 0.274191, 0.012109, 0.622722, -19.077862334068282, 0.280648, 0.011488, 0.625038, -18.96026169864631, 0.287076, 0.010855, 0.627295, -18.842661063224334, 0.293478, 0.010213, 0.62949, -18.725090412666056, 0.299855, 0.009561, 0.631624, -18.60748977724408, 0.30621, 0.008902, 0.633694, -18.489919126685805, 0.312543, 0.008239, 0.6357, -18.37231849126383, 0.318856, 0.007576, 0.63764, -18.25474784070555, 0.32515, 0.006915, 0.639512, -18.137147205283576, 0.331426, 0.006261, 0.641316, -18.019546569861603, 0.337683, 0.005618, 0.643049, -17.901975919303325, 0.343925, 0.004991, 0.64471, -17.78437528388135, 0.35015, 0.004382, 0.646298, -17.66680463332307, 0.356359, 0.003798, 0.64781, -17.5492039979011, 0.362553, 0.003243, 0.649245, -17.43163334734282, 0.368733, 0.002724, 0.650601, -17.314032711920845, 0.374897, 0.002245, 0.651876, -17.196432076498873, 0.381047, 0.001814, 0.653068, -17.078861425940595, 0.387183, 0.001434, 0.654177, -16.96126079051862, 0.393304, 0.001114, 0.655199, -16.84369013996034, 0.399411, 0.000859, 0.656133, -16.726089504538365, 0.405503, 0.000678, 0.656977, -16.60851885398009, 0.41158, 0.000577, 0.65773, -16.490918218558114, 0.417642, 0.000564, 0.65839, -16.37331758313614, 0.423689, 0.000646, 0.658956, -16.255746932577864, 0.429719, 0.000831, 0.659425, -16.138146297155888, 0.435734, 0.001127, 0.659797, -16.02057564659761, 0.441732, 0.00154, 0.660069, -15.902975011175634, 0.447714, 0.00208, 0.66024, -15.785404360617358, 0.453677, 0.002755, 0.66031, -15.667803725195384, 0.459623, 0.003574, 0.660277, -15.550203089773408, 0.46555, 0.004545, 0.660139, -15.43263243921513, 0.471457, 0.005678, 0.659897, -15.315031803793156, 0.477344, 0.00698, 0.659549, -15.19746115323488, 0.48321, 0.00846, 0.659095, -15.079860517812904, 0.489055, 0.010127, 0.658534, -14.962289867254627, 0.494877, 0.01199, 0.657865, -14.844689231832652, 0.500678, 0.014055, 0.657088, -14.727088596410677, 0.506454, 0.016333, 0.656202, -14.6095179458524, 0.512206, 0.018833, 0.655209, -14.491917310430425, 0.517933, 0.021563, 0.654109, -14.374346659872147, 0.523633, 0.024532, 0.652901, -14.256746024450173, 0.529306, 0.027747, 0.651586, -14.139175373891895, 0.534952, 0.031217, 0.650165, -14.02157473846992, 0.54057, 0.03495, 0.64864, -13.903974103047945, 0.546157, 0.038954, 0.64701, -13.786403452489669, 0.551715, 0.043136, 0.645277, -13.668802817067693, 0.557243, 0.047331, 0.643443, -13.551232166509417, 0.562738, 0.051545, 0.641509, -13.433631531087443, 0.568201, 0.055778, 0.639477, -13.316060880529164, 0.573632, 0.060028, 0.637349, -13.198460245107189, 0.579029, 0.064296, 0.635126, -13.080889594548912, 0.584391, 0.068579, 0.632812, -12.963288959126936, 0.589719, 0.072878, 0.630408, -12.845688323704962, 0.595011, 0.07719, 0.627917, -12.728117673146684, 0.600266, 0.081516, 0.625342, -12.61051703772471, 0.605485, 0.085854, 0.622686, -12.492946387166432, 0.610667, 0.090204, 0.619951, -12.375345751744456, 0.615812, 0.094564, 0.61714, -12.257775101186182, 0.620919, 0.098934, 0.614257, -12.140174465764206, 0.625987, 0.103312, 0.611305, -12.02257383034223, 0.631017, 0.107699, 0.608287, -11.905003179783954, 0.636008, 0.112092, 0.605205, -11.78740254436198, 0.640959, 0.116492, 0.602065, -11.669831893803702, 0.645872, 0.120898, 0.598867, -11.552231258381727, 0.650746, 0.125309, 0.595617, -11.43466060782345, 0.65558, 0.129725, 0.592317, -11.317059972401474, 0.660374, 0.134144, 0.588971, -11.1994593369795, 0.665129, 0.138566, 0.585582, -11.081888686421221, 0.669845, 0.142992, 0.582154, -10.964288050999247, 0.674522, 0.147419, 0.578688, -10.84671740044097, 0.67916, 0.151848, 0.575189, -10.729116765018995, 0.683758, 0.156278, 0.57166, -10.611546114460719, 0.688318, 0.160709, 0.568103, -10.493945479038743, 0.69284, 0.165141, 0.564522, -10.376344843616767, 0.697324, 0.169573, 0.560919, -10.25877419305849, 0.701769, 0.174005, 0.557296, -10.141173557636517, 0.706178, 0.178437, 0.553657, -10.023602907078239, 0.710549, 0.182868, 0.550004, -9.906002271656265, 0.714883, 0.187299, 0.546338, -9.788431621097986, 0.719181, 0.191729, 0.542663, -9.67083098567601, 0.723444, 0.196158, 0.538981, -9.553230350254037, 0.72767, 0.200586, 0.535293, -9.435659699695758, 0.731862, 0.205013, 0.531601, -9.318059064273784, 0.736019, 0.209439, 0.527908, -9.200488413715508, 0.740143, 0.213864, 0.524216, -9.082887778293532, 0.744232, 0.218288, 0.520524, -8.965317127735256, 0.748289, 0.222711, 0.516834, -8.847716492313282, 0.752312, 0.227133, 0.513149, -8.730115856891306, 0.756304, 0.231555, 0.509468, -8.612545206333028, 0.760264, 0.235976, 0.505794, -8.494944570911054, 0.764193, 0.240396, 0.502126, -8.377373920352776, 0.76809, 0.244817, 0.498465, -8.259773284930802, 0.771958, 0.249237, 0.494813, -8.142202634372524, 0.775796, 0.253658, 0.491171, -8.02460199895055, 0.779604, 0.258078, 0.487539, -7.907001363528574, 0.783383, 0.2625, 0.483918, -7.7894307129702955, 0.787133, 0.266922, 0.480307, -7.6718300775483215, 0.790855, 0.271345, 0.476706, -7.554259426990045, 0.794549, 0.27577, 0.473117, -7.436658791568069, 0.798216, 0.280197, 0.469538, -7.319088141009791, 0.801855, 0.284626, 0.465971, -7.201487505587817, 0.805467, 0.289057, 0.462415, -7.083916855029541, 0.809052, 0.293491, 0.45887, -6.966316219607567, 0.812612, 0.297928, 0.455338, -6.848715584185593, 0.816144, 0.302368, 0.451816, -6.731144933627313, 0.819651, 0.306812, 0.448306, -6.613544298205339, 0.823132, 0.311261, 0.444806, -6.495973647647062, 0.826588, 0.315714, 0.441316, -6.378373012225087, 0.830018, 0.320172, 0.437836, -6.2608023616668085, 0.833422, 0.324635, 0.434366, -6.143201726244836, 0.836801, 0.329105, 0.430905, -6.02560109082286, 0.840155, 0.33358, 0.427455, -5.908030440264582, 0.843484, 0.338062, 0.424013, -5.790429804842606, 0.846788, 0.342551, 0.420579, -5.672859154284332, 0.850066, 0.347048, 0.417153, -5.5552585188623524, 0.853319, 0.351553, 0.413734, -5.437687868304078, 0.856547, 0.356066, 0.410322, -5.320087232882102, 0.85975, 0.360588, 0.406917, -5.20248659746013, 0.862927, 0.365119, 0.403519, -5.084915946901852, 0.866078, 0.36966, 0.400126, -4.967315311479876, 0.869203, 0.374212, 0.396738, -4.849744660921601, 0.872303, 0.378774, 0.393355, -4.732144025499622, 0.875376, 0.383347, 0.389976, -4.614573374941347, 0.878423, 0.387932, 0.3866, -4.4969727395193715, 0.881443, 0.392529, 0.383229, -4.379372104097399, 0.884436, 0.397139, 0.37986, -4.2618014535391175, 0.887402, 0.401762, 0.376494, -4.144200818117145, 0.89034, 0.406398, 0.37313, -4.026630167558867, 0.89325, 0.411048, 0.369768, -3.9090295321368913, 0.896131, 0.415712, 0.366407, -3.7914588815786168, 0.898984, 0.420392, 0.363047, -3.673858246156641, 0.901807, 0.425087, 0.359688, -3.556257610734665, 0.904601, 0.429797, 0.356329, -3.438686960176387, 0.907365, 0.434524, 0.35297, -3.3210863247544147, 0.910098, 0.439268, 0.34961, -3.2035156741961366, 0.9128, 0.444029, 0.346251, -3.0859150387741607, 0.915471, 0.448807, 0.34289, -2.9683443882158826, 0.918109, 0.453603, 0.339529, -2.8507437527939103, 0.920714, 0.458417, 0.336166, -2.7331431173719345, 0.923287, 0.463251, 0.332801, -2.6155724668136564, 0.925825, 0.468103, 0.329435, -2.4979718313916806, 0.928329, 0.472975, 0.326067, -2.380401180833406, 0.930798, 0.477867, 0.322697, -2.2628005454114266, 0.933232, 0.48278, 0.319325, -2.145229894853152, 0.93563, 0.487712, 0.315952, -2.0276292594311762, 0.93799, 0.492667, 0.312575, -1.910028624009204, 0.940313, 0.497642, 0.309197, -1.7924579734509258, 0.942598, 0.502639, 0.305816, -1.67485733802895, 0.944844, 0.507658, 0.302433, -1.5572866874706754, 0.947051, 0.512699, 0.299049, -1.4396860520486996, 0.949217, 0.517763, 0.295662, -1.3221154014904215, 0.951344, 0.52285, 0.292275, -1.2045147660684457, 0.953428, 0.52796, 0.288883, -1.0869441155101676, 0.95547, 0.533093, 0.28549, -0.9693434800881917, 0.957469, 0.53825, 0.282096, -0.8517428446662194, 0.959424, 0.543431, 0.278701, -0.7341721941079413, 0.961336, 0.548636, 0.275305, -0.616571558685969, 0.963203, 0.553865, 0.271909, -0.49900090812769093, 0.965024, 0.559118, 0.268513, -0.3814002727057151, 0.966798, 0.564396, 0.265118, -0.26382962214744055, 0.968526, 0.5697, 0.261721, -0.14622898672546114, 0.970205, 0.575028, 0.258325, -0.02862835130348884, 0.971835, 0.580382, 0.254931, 0.08894229925478925, 0.973416, 0.585761, 0.25154, 0.20654293467676155, 0.974947, 0.591165, 0.248151, 0.3241135852350432, 0.976428, 0.596595, 0.244767, 0.4417142206570155, 0.977856, 0.602051, 0.241387, 0.5592848712152936, 0.979233, 0.607532, 0.238013, 0.6768855066372694, 0.980556, 0.613039, 0.234646, 0.7944861420592453, 0.981826, 0.618572, 0.231287, 0.9120567926175198, 0.983041, 0.624131, 0.227937, 1.0296574280394957, 0.984199, 0.629718, 0.224595, 1.1472280785977738, 0.985301, 0.63533, 0.221265, 1.2648287140197496, 0.986345, 0.640969, 0.217948, 1.3823993645780241, 0.987332, 0.646633, 0.214648, 1.5, 0.98826, 0.652325, 0.211364, 1.6176006354219759, 0.989128, 0.658043, 0.2081, 1.7351712859802504, 0.989935, 0.663787, 0.204859, 1.8527719214022262, 0.990681, 0.669558, 0.201642, 1.9703425719605043, 0.991365, 0.675355, 0.198453, 2.08794320738248, 0.991985, 0.681179, 0.195295, 2.2055138579407547, 0.992541, 0.68703, 0.19217, 2.323114493362734, 0.993032, 0.692907, 0.189084, 2.4407151287847064, 0.993456, 0.69881, 0.186041, 2.5582857793429845, 0.993814, 0.704741, 0.183043, 2.675886414764957, 0.994103, 0.710698, 0.180097, 2.793457065323235, 0.994324, 0.716681, 0.177208, 2.9110577007452108, 0.994474, 0.722691, 0.174381, 3.0286283513034853, 0.994553, 0.728728, 0.171622, 3.1462289867254647, 0.994561, 0.734791, 0.168938, 3.263829622147437, 0.994495, 0.74088, 0.166335, 3.381400272705715, 0.994355, 0.746995, 0.163821, 3.4990009081276874, 0.994141, 0.753137, 0.161404, 3.616571558685969, 0.993851, 0.759304, 0.159092, 3.7341721941079413, 0.993482, 0.765499, 0.156891, 3.8517428446662194, 0.993033, 0.77172, 0.154808, 3.9693434800881953, 0.992505, 0.777967, 0.152855, 4.086944115510171, 0.991897, 0.784239, 0.151042, 4.204514766068446, 0.991209, 0.790537, 0.149377, 4.3221154014904215, 0.990439, 0.796859, 0.14787, 4.4396860520487, 0.989587, 0.803205, 0.146529, 4.557286687470672, 0.988648, 0.809579, 0.145357, 4.67485733802895, 0.987621, 0.815978, 0.144363, 4.792457973450922, 0.986509, 0.822401, 0.143557, 4.910028624009204, 0.985314, 0.828846, 0.142945, 5.027629259431176, 0.984031, 0.835315, 0.142528, 5.145229894853152, 0.982653, 0.841812, 0.142303, 5.26280054541143, 0.98119, 0.848329, 0.142279, 5.380401180833406, 0.979644, 0.854866, 0.142453, 5.4979718313916806, 0.977995, 0.861432, 0.142808, 5.615572466813656, 0.976265, 0.868016, 0.143351, 5.7331431173719345, 0.974443, 0.874622, 0.144061, 5.85074375279391, 0.97253, 0.88125, 0.144923, 5.968344388215883, 0.970533, 0.887896, 0.145919, 6.085915038774161, 0.968443, 0.894564, 0.147014, 6.203515674196137, 0.966271, 0.901249, 0.14818, 6.321086324754411, 0.964021, 0.90795, 0.14937, 6.438686960176387, 0.961681, 0.914672, 0.15052, 6.556257610734665, 0.959276, 0.921407, 0.151566, 6.673858246156641, 0.956808, 0.928152, 0.152409, 6.791458881578613, 0.954287, 0.934908, 0.152921, 6.909029532136895, 0.951726, 0.941671, 0.152925, 7.026630167558867, 0.949151, 0.948435, 0.152178, 7.144200818117145, 0.946602, 0.95519, 0.150328, 7.2618014535391175, 0.944152, 0.961916, 0.146861, 7.379372104097396, 0.941896, 0.96859, 0.140956, 7.4969727395193715, 0.940015, 0.975158, 0.131326]
    curvatureLUT.UseLogScale = 0
    curvatureLUT.UseOpacityControlPointsFreehandDrawing = 0
    curvatureLUT.ShowDataHistogram = 0
    curvatureLUT.AutomaticDataHistogramComputation = 0
    curvatureLUT.DataHistogramNumberOfBins = 10
    curvatureLUT.ColorSpace = 'Diverging'
    curvatureLUT.UseBelowRangeColor = 0
    curvatureLUT.BelowRangeColor = [0.0, 0.0, 0.0]
    curvatureLUT.UseAboveRangeColor = 0
    curvatureLUT.AboveRangeColor = [0.5, 0.5, 0.5]
    curvatureLUT.NanColor = [0.0, 1.0, 0.0]
    curvatureLUT.NanOpacity = 1.0
    curvatureLUT.Discretize = 1
    curvatureLUT.NumberOfTableValues = 256
    curvatureLUT.ScalarRangeInitialized = 1.0
    curvatureLUT.HSVWrap = 0
    curvatureLUT.VectorComponent = 0
    curvatureLUT.VectorMode = 'Magnitude'
    curvatureLUT.AllowDuplicateScalars = 1
    curvatureLUT.Annotations = []
    curvatureLUT.ActiveAnnotatedValues = []
    curvatureLUT.IndexedColors = []
    curvatureLUT.IndexedOpacities = []

    # trace defaults for the display properties.
    contour1Display.Selection = None
    contour1Display.Representation = 'Surface'
    contour1Display.ColorArrayName = ['POINTS', 'curvature']
    contour1Display.LookupTable = curvatureLUT
    contour1Display.MapScalars = 1
    contour1Display.MultiComponentsMapping = 0
    contour1Display.InterpolateScalarsBeforeMapping = 1
    contour1Display.Opacity = 1.0
    contour1Display.PointSize = 2.0
    contour1Display.LineWidth = 1.0
    contour1Display.RenderLinesAsTubes = 0
    contour1Display.RenderPointsAsSpheres = 0
    contour1Display.Interpolation = 'Gouraud'
    contour1Display.Specular = 0.0
    contour1Display.SpecularColor = [1.0, 1.0, 1.0]
    contour1Display.SpecularPower = 100.0
    contour1Display.Luminosity = 0.0
    contour1Display.Ambient = 0.0
    contour1Display.Diffuse = 1.0
    contour1Display.Roughness = 0.3
    contour1Display.Metallic = 0.0
    contour1Display.EdgeTint = [1.0, 1.0, 1.0]
    contour1Display.Anisotropy = 0.0
    contour1Display.AnisotropyRotation = 0.0
    contour1Display.BaseIOR = 1.5
    contour1Display.CoatStrength = 0.0
    contour1Display.CoatIOR = 2.0
    contour1Display.CoatRoughness = 0.0
    contour1Display.CoatColor = [1.0, 1.0, 1.0]
    contour1Display.SelectTCoordArray = 'None'
    contour1Display.SelectNormalArray = 'Normals'
    contour1Display.SelectTangentArray = 'None'
    contour1Display.Texture = None
    contour1Display.RepeatTextures = 1
    contour1Display.InterpolateTextures = 0
    contour1Display.SeamlessU = 0
    contour1Display.SeamlessV = 0
    contour1Display.UseMipmapTextures = 0
    contour1Display.ShowTexturesOnBackface = 1
    contour1Display.BaseColorTexture = None
    contour1Display.NormalTexture = None
    contour1Display.NormalScale = 1.0
    contour1Display.CoatNormalTexture = None
    contour1Display.CoatNormalScale = 1.0
    contour1Display.MaterialTexture = None
    contour1Display.OcclusionStrength = 1.0
    contour1Display.AnisotropyTexture = None
    contour1Display.EmissiveTexture = None
    contour1Display.EmissiveFactor = [1.0, 1.0, 1.0]
    contour1Display.FlipTextures = 0
    contour1Display.BackfaceRepresentation = 'Follow Frontface'
    contour1Display.BackfaceAmbientColor = [1.0, 1.0, 1.0]
    contour1Display.BackfaceOpacity = 1.0
    contour1Display.Position = [0.0, 0.0, 0.0]
    contour1Display.Scale = [1.0, 1.0, 1.0]
    contour1Display.Orientation = [0.0, 0.0, 0.0]
    contour1Display.Origin = [0.0, 0.0, 0.0]
    contour1Display.CoordinateShiftScaleMethod = 'Always Auto Shift Scale'
    contour1Display.Pickable = 1
    contour1Display.Triangulate = 0
    contour1Display.UseShaderReplacements = 0
    contour1Display.ShaderReplacements = ''
    contour1Display.NonlinearSubdivisionLevel = 1
    contour1Display.UseDataPartitions = 0
    contour1Display.OSPRayUseScaleArray = 'All Approximate'
    contour1Display.OSPRayScaleArray = 'curvature'
    contour1Display.OSPRayScaleFunction = 'PiecewiseFunction'
    contour1Display.OSPRayMaterial = 'None'
    contour1Display.BlockSelectors = ['/']
    contour1Display.BlockColors = []
    contour1Display.BlockOpacities = []
    contour1Display.Orient = 0
    contour1Display.OrientationMode = 'Direction'
    contour1Display.SelectOrientationVectors = 'None'
    contour1Display.Scaling = 0
    contour1Display.ScaleMode = 'No Data Scaling Off'
    contour1Display.ScaleFactor = 0.098
    contour1Display.SelectScaleArray = 'curvature'
    contour1Display.GlyphType = 'Arrow'
    contour1Display.UseGlyphTable = 0
    contour1Display.GlyphTableIndexArray = 'curvature'
    contour1Display.UseCompositeGlyphTable = 0
    contour1Display.UseGlyphCullingAndLOD = 0
    contour1Display.LODValues = []
    contour1Display.ColorByLODIndex = 0
    contour1Display.GaussianRadius = 0.0049
    contour1Display.ShaderPreset = 'Sphere'
    contour1Display.CustomTriangleScale = 3
    contour1Display.CustomShader = """ // This custom shader code define a gaussian blur
     // Please take a look into vtkSMPointGaussianRepresentation.cxx
     // for other custom shader examples
     //VTK::Color::Impl
       float dist2 = dot(offsetVCVSOutput.xy,offsetVCVSOutput.xy);
       float gaussian = exp(-0.5*dist2);
       opacity = opacity*gaussian;
    """
    contour1Display.Emissive = 0
    contour1Display.ScaleByArray = 0
    contour1Display.SetScaleArray = ['POINTS', 'curvature']
    contour1Display.ScaleArrayComponent = ''
    contour1Display.UseScaleFunction = 1
    contour1Display.ScaleTransferFunction = 'PiecewiseFunction'
    contour1Display.OpacityByArray = 0
    contour1Display.OpacityArray = ['POINTS', 'curvature']
    contour1Display.OpacityArrayComponent = ''
    contour1Display.OpacityTransferFunction = 'PiecewiseFunction'
    contour1Display.DataAxesGrid = 'GridAxesRepresentation'
    contour1Display.SelectionCellLabelBold = 0
    contour1Display.SelectionCellLabelColor = [0.0, 1.0, 0.0]
    contour1Display.SelectionCellLabelFontFamily = 'Arial'
    contour1Display.SelectionCellLabelFontFile = ''
    contour1Display.SelectionCellLabelFontSize = 18
    contour1Display.SelectionCellLabelItalic = 0
    contour1Display.SelectionCellLabelJustification = 'Left'
    contour1Display.SelectionCellLabelOpacity = 1.0
    contour1Display.SelectionCellLabelShadow = 0
    contour1Display.SelectionPointLabelBold = 0
    contour1Display.SelectionPointLabelColor = [1.0, 1.0, 0.0]
    contour1Display.SelectionPointLabelFontFamily = 'Arial'
    contour1Display.SelectionPointLabelFontFile = ''
    contour1Display.SelectionPointLabelFontSize = 18
    contour1Display.SelectionPointLabelItalic = 0
    contour1Display.SelectionPointLabelJustification = 'Left'
    contour1Display.SelectionPointLabelOpacity = 1.0
    contour1Display.SelectionPointLabelShadow = 0
    contour1Display.PolarAxes = 'PolarAxesRepresentation'

    # init the 'PiecewiseFunction' selected for 'OSPRayScaleFunction'
    contour1Display.OSPRayScaleFunction.Points = [1.0, 0.8602941036224365, 0.5, 0.0, 1.213836476688135, 0.625, 0.5, 0.0, 1.3616352081298828, 0.6691176295280457, 0.5, 0.0, 1.6666333299996667, 0.8676470518112183, 0.5, 0.0, 1.7358490228652954, 0.6911764740943909, 0.5, 0.0, 2.0, 0.8014705777168274, 0.5, 0.0]
    contour1Display.OSPRayScaleFunction.UseLogScale = 0

    # init the 'Arrow' selected for 'GlyphType'
    contour1Display.GlyphType.TipResolution = 6
    contour1Display.GlyphType.TipRadius = 0.1
    contour1Display.GlyphType.TipLength = 0.35
    contour1Display.GlyphType.ShaftResolution = 6
    contour1Display.GlyphType.ShaftRadius = 0.03
    contour1Display.GlyphType.Invert = 0

    # init the 'PiecewiseFunction' selected for 'ScaleTransferFunction'
    contour1Display.ScaleTransferFunction.Points = [0.0, 0.8602941036224365, 0.5, 0.0, 2.5142493840581125e-39, 0.625, 0.5, 0.0, 4.252039284300157e-39, 0.6691176295280457, 0.5, 0.0, 7.838150278676329e-39, 0.8676470518112183, 0.5, 0.0, 8.651975477491057e-39, 0.6911764740943909, 0.5, 0.0, 1.1757813367477812e-38, 0.8014705777168274, 0.5, 0.0]
    contour1Display.ScaleTransferFunction.UseLogScale = 0

    # init the 'PiecewiseFunction' selected for 'OpacityTransferFunction'
    contour1Display.OpacityTransferFunction.Points = [0.0, 0.8602941036224365, 0.5, 0.0, 2.5142493840581125e-39, 0.625, 0.5, 0.0, 4.252039284300157e-39, 0.6691176295280457, 0.5, 0.0, 7.838150278676329e-39, 0.8676470518112183, 0.5, 0.0, 8.651975477491057e-39, 0.6911764740943909, 0.5, 0.0, 1.1757813367477812e-38, 0.8014705777168274, 0.5, 0.0]
    contour1Display.OpacityTransferFunction.UseLogScale = 0

    # init the 'GridAxesRepresentation' selected for 'DataAxesGrid'
    contour1Display.DataAxesGrid.XTitle = 'X Axis'
    contour1Display.DataAxesGrid.YTitle = 'Y Axis'
    contour1Display.DataAxesGrid.ZTitle = 'Z Axis'
    contour1Display.DataAxesGrid.XTitleFontFamily = 'Arial'
    contour1Display.DataAxesGrid.XTitleFontFile = ''
    contour1Display.DataAxesGrid.XTitleBold = 0
    contour1Display.DataAxesGrid.XTitleItalic = 0
    contour1Display.DataAxesGrid.XTitleFontSize = 12
    contour1Display.DataAxesGrid.XTitleShadow = 0
    contour1Display.DataAxesGrid.XTitleOpacity = 1.0
    contour1Display.DataAxesGrid.YTitleFontFamily = 'Arial'
    contour1Display.DataAxesGrid.YTitleFontFile = ''
    contour1Display.DataAxesGrid.YTitleBold = 0
    contour1Display.DataAxesGrid.YTitleItalic = 0
    contour1Display.DataAxesGrid.YTitleFontSize = 12
    contour1Display.DataAxesGrid.YTitleShadow = 0
    contour1Display.DataAxesGrid.YTitleOpacity = 1.0
    contour1Display.DataAxesGrid.ZTitleFontFamily = 'Arial'
    contour1Display.DataAxesGrid.ZTitleFontFile = ''
    contour1Display.DataAxesGrid.ZTitleBold = 0
    contour1Display.DataAxesGrid.ZTitleItalic = 0
    contour1Display.DataAxesGrid.ZTitleFontSize = 12
    contour1Display.DataAxesGrid.ZTitleShadow = 0
    contour1Display.DataAxesGrid.ZTitleOpacity = 1.0
    contour1Display.DataAxesGrid.FacesToRender = 63
    contour1Display.DataAxesGrid.CullBackface = 0
    contour1Display.DataAxesGrid.CullFrontface = 1
    contour1Display.DataAxesGrid.ShowGrid = 0
    contour1Display.DataAxesGrid.ShowEdges = 1
    contour1Display.DataAxesGrid.ShowTicks = 1
    contour1Display.DataAxesGrid.LabelUniqueEdgesOnly = 1
    contour1Display.DataAxesGrid.AxesToLabel = 63
    contour1Display.DataAxesGrid.XLabelFontFamily = 'Arial'
    contour1Display.DataAxesGrid.XLabelFontFile = ''
    contour1Display.DataAxesGrid.XLabelBold = 0
    contour1Display.DataAxesGrid.XLabelItalic = 0
    contour1Display.DataAxesGrid.XLabelFontSize = 12
    contour1Display.DataAxesGrid.XLabelShadow = 0
    contour1Display.DataAxesGrid.XLabelOpacity = 1.0
    contour1Display.DataAxesGrid.YLabelFontFamily = 'Arial'
    contour1Display.DataAxesGrid.YLabelFontFile = ''
    contour1Display.DataAxesGrid.YLabelBold = 0
    contour1Display.DataAxesGrid.YLabelItalic = 0
    contour1Display.DataAxesGrid.YLabelFontSize = 12
    contour1Display.DataAxesGrid.YLabelShadow = 0
    contour1Display.DataAxesGrid.YLabelOpacity = 1.0
    contour1Display.DataAxesGrid.ZLabelFontFamily = 'Arial'
    contour1Display.DataAxesGrid.ZLabelFontFile = ''
    contour1Display.DataAxesGrid.ZLabelBold = 0
    contour1Display.DataAxesGrid.ZLabelItalic = 0
    contour1Display.DataAxesGrid.ZLabelFontSize = 12
    contour1Display.DataAxesGrid.ZLabelShadow = 0
    contour1Display.DataAxesGrid.ZLabelOpacity = 1.0
    contour1Display.DataAxesGrid.XAxisNotation = 'Mixed'
    contour1Display.DataAxesGrid.XAxisPrecision = 2
    contour1Display.DataAxesGrid.XAxisUseCustomLabels = 0
    contour1Display.DataAxesGrid.XAxisLabels = []
    contour1Display.DataAxesGrid.YAxisNotation = 'Mixed'
    contour1Display.DataAxesGrid.YAxisPrecision = 2
    contour1Display.DataAxesGrid.YAxisUseCustomLabels = 0
    contour1Display.DataAxesGrid.YAxisLabels = []
    contour1Display.DataAxesGrid.ZAxisNotation = 'Mixed'
    contour1Display.DataAxesGrid.ZAxisPrecision = 2
    contour1Display.DataAxesGrid.ZAxisUseCustomLabels = 0
    contour1Display.DataAxesGrid.ZAxisLabels = []
    contour1Display.DataAxesGrid.UseCustomBounds = 0
    contour1Display.DataAxesGrid.CustomBounds = [0.0, 1.0, 0.0, 1.0, 0.0, 1.0]

    # init the 'PolarAxesRepresentation' selected for 'PolarAxes'
    contour1Display.PolarAxes.Visibility = 0
    contour1Display.PolarAxes.Translation = [0.0, 0.0, 0.0]
    contour1Display.PolarAxes.Scale = [1.0, 1.0, 1.0]
    contour1Display.PolarAxes.Orientation = [0.0, 0.0, 0.0]
    contour1Display.PolarAxes.EnableCustomBounds = [0, 0, 0]
    contour1Display.PolarAxes.CustomBounds = [0.0, 1.0, 0.0, 1.0, 0.0, 1.0]
    contour1Display.PolarAxes.EnableCustomRange = 0
    contour1Display.PolarAxes.CustomRange = [0.0, 1.0]
    contour1Display.PolarAxes.PolarAxisVisibility = 1
    contour1Display.PolarAxes.RadialAxesVisibility = 1
    contour1Display.PolarAxes.DrawRadialGridlines = 1
    contour1Display.PolarAxes.PolarArcsVisibility = 1
    contour1Display.PolarAxes.DrawPolarArcsGridlines = 1
    contour1Display.PolarAxes.NumberOfRadialAxes = 0
    contour1Display.PolarAxes.AutoSubdividePolarAxis = 1
    contour1Display.PolarAxes.NumberOfPolarAxis = 0
    contour1Display.PolarAxes.MinimumRadius = 0.0
    contour1Display.PolarAxes.MinimumAngle = 0.0
    contour1Display.PolarAxes.MaximumAngle = 90.0
    contour1Display.PolarAxes.RadialAxesOriginToPolarAxis = 1
    contour1Display.PolarAxes.Ratio = 1.0
    contour1Display.PolarAxes.PolarAxisColor = [1.0, 1.0, 1.0]
    contour1Display.PolarAxes.PolarArcsColor = [1.0, 1.0, 1.0]
    contour1Display.PolarAxes.LastRadialAxisColor = [1.0, 1.0, 1.0]
    contour1Display.PolarAxes.SecondaryPolarArcsColor = [1.0, 1.0, 1.0]
    contour1Display.PolarAxes.SecondaryRadialAxesColor = [1.0, 1.0, 1.0]
    contour1Display.PolarAxes.PolarAxisTitleVisibility = 1
    contour1Display.PolarAxes.PolarAxisTitle = 'Radial Distance'
    contour1Display.PolarAxes.PolarAxisTitleLocation = 'Bottom'
    contour1Display.PolarAxes.PolarLabelVisibility = 1
    contour1Display.PolarAxes.PolarLabelFormat = '%-#6.3g'
    contour1Display.PolarAxes.PolarLabelExponentLocation = 'Labels'
    contour1Display.PolarAxes.RadialLabelVisibility = 1
    contour1Display.PolarAxes.RadialLabelFormat = '%-#3.1f'
    contour1Display.PolarAxes.RadialLabelLocation = 'Bottom'
    contour1Display.PolarAxes.RadialUnitsVisibility = 1
    contour1Display.PolarAxes.ScreenSize = 10.0
    contour1Display.PolarAxes.PolarAxisTitleOpacity = 1.0
    contour1Display.PolarAxes.PolarAxisTitleFontFamily = 'Arial'
    contour1Display.PolarAxes.PolarAxisTitleFontFile = ''
    contour1Display.PolarAxes.PolarAxisTitleBold = 0
    contour1Display.PolarAxes.PolarAxisTitleItalic = 0
    contour1Display.PolarAxes.PolarAxisTitleShadow = 0
    contour1Display.PolarAxes.PolarAxisTitleFontSize = 12
    contour1Display.PolarAxes.PolarAxisLabelOpacity = 1.0
    contour1Display.PolarAxes.PolarAxisLabelFontFamily = 'Arial'
    contour1Display.PolarAxes.PolarAxisLabelFontFile = ''
    contour1Display.PolarAxes.PolarAxisLabelBold = 0
    contour1Display.PolarAxes.PolarAxisLabelItalic = 0
    contour1Display.PolarAxes.PolarAxisLabelShadow = 0
    contour1Display.PolarAxes.PolarAxisLabelFontSize = 12
    contour1Display.PolarAxes.LastRadialAxisTextOpacity = 1.0
    contour1Display.PolarAxes.LastRadialAxisTextFontFamily = 'Arial'
    contour1Display.PolarAxes.LastRadialAxisTextFontFile = ''
    contour1Display.PolarAxes.LastRadialAxisTextBold = 0
    contour1Display.PolarAxes.LastRadialAxisTextItalic = 0
    contour1Display.PolarAxes.LastRadialAxisTextShadow = 0
    contour1Display.PolarAxes.LastRadialAxisTextFontSize = 12
    contour1Display.PolarAxes.SecondaryRadialAxesTextOpacity = 1.0
    contour1Display.PolarAxes.SecondaryRadialAxesTextFontFamily = 'Arial'
    contour1Display.PolarAxes.SecondaryRadialAxesTextFontFile = ''
    contour1Display.PolarAxes.SecondaryRadialAxesTextBold = 0
    contour1Display.PolarAxes.SecondaryRadialAxesTextItalic = 0
    contour1Display.PolarAxes.SecondaryRadialAxesTextShadow = 0
    contour1Display.PolarAxes.SecondaryRadialAxesTextFontSize = 12
    contour1Display.PolarAxes.EnableDistanceLOD = 1
    contour1Display.PolarAxes.DistanceLODThreshold = 0.7
    contour1Display.PolarAxes.EnableViewAngleLOD = 1
    contour1Display.PolarAxes.ViewAngleLODThreshold = 0.7
    contour1Display.PolarAxes.SmallestVisiblePolarAngle = 0.5
    contour1Display.PolarAxes.PolarTicksVisibility = 1
    contour1Display.PolarAxes.ArcTicksOriginToPolarAxis = 1
    contour1Display.PolarAxes.TickLocation = 'Both'
    contour1Display.PolarAxes.AxisTickVisibility = 1
    contour1Display.PolarAxes.AxisMinorTickVisibility = 0
    contour1Display.PolarAxes.ArcTickVisibility = 1
    contour1Display.PolarAxes.ArcMinorTickVisibility = 0
    contour1Display.PolarAxes.DeltaAngleMajor = 10.0
    contour1Display.PolarAxes.DeltaAngleMinor = 5.0
    contour1Display.PolarAxes.PolarAxisMajorTickSize = 0.0
    contour1Display.PolarAxes.PolarAxisTickRatioSize = 0.3
    contour1Display.PolarAxes.PolarAxisMajorTickThickness = 1.0
    contour1Display.PolarAxes.PolarAxisTickRatioThickness = 0.5
    contour1Display.PolarAxes.LastRadialAxisMajorTickSize = 0.0
    contour1Display.PolarAxes.LastRadialAxisTickRatioSize = 0.3
    contour1Display.PolarAxes.LastRadialAxisMajorTickThickness = 1.0
    contour1Display.PolarAxes.LastRadialAxisTickRatioThickness = 0.5
    contour1Display.PolarAxes.ArcMajorTickSize = 0.0
    contour1Display.PolarAxes.ArcTickRatioSize = 0.3
    contour1Display.PolarAxes.ArcMajorTickThickness = 1.0
    contour1Display.PolarAxes.ArcTickRatioThickness = 0.5
    contour1Display.PolarAxes.Use2DMode = 0
    contour1Display.PolarAxes.UseLogAxis = 0

    # show color bar/color legend
    contour1Display.SetScalarBarVisibility(renderView1, True)

    # update the view to ensure updated data information
    renderView1.Update()

    # get opacity transfer function/opacity map for 'curvature'
    curvaturePWF = GetOpacityTransferFunction('curvature')
    curvaturePWF.Points = [-22.487890958077486, 0.8602941036224365, 0.5, 0.0, -16.076033351009407, 0.625, 0.5, 0.0, -11.644308534050879, 0.6691176295280457, 0.5, 0.0, -2.498981421762373, 0.8676470518112183, 0.5, 0.0, -0.4235583054517704, 0.6911764740943909, 0.5, 0.0, 7.4969727395193715, 0.8014705777168274, 0.5, 0.0]
    curvaturePWF.AllowDuplicateScalars = 1
    curvaturePWF.UseLogScale = 0
    curvaturePWF.ScalarRangeInitialized = 1

    # create a new 'Extract Surface'
    extractSurface1 = ExtractSurface(registrationName='ExtractSurface1', Input=contour1)
    extractSurface1.PieceInvariant = 1
    extractSurface1.NonlinearSubdivisionLevel = 1
    extractSurface1.FastMode = 0
    extractSurface1.UseGeometryFilter = 0

    # show data in view
    extractSurface1Display = Show(extractSurface1, renderView1, 'GeometryRepresentation')

    # trace defaults for the display properties.
    extractSurface1Display.Selection = None
    extractSurface1Display.Representation = 'Surface'
    extractSurface1Display.ColorArrayName = ['POINTS', 'curvature']
    extractSurface1Display.LookupTable = curvatureLUT
    extractSurface1Display.MapScalars = 1
    extractSurface1Display.MultiComponentsMapping = 0
    extractSurface1Display.InterpolateScalarsBeforeMapping = 1
    extractSurface1Display.Opacity = 1.0
    extractSurface1Display.PointSize = 2.0
    extractSurface1Display.LineWidth = 1.0
    extractSurface1Display.RenderLinesAsTubes = 0
    extractSurface1Display.RenderPointsAsSpheres = 0
    extractSurface1Display.Interpolation = 'Gouraud'
    extractSurface1Display.Specular = 0.0
    extractSurface1Display.SpecularColor = [1.0, 1.0, 1.0]
    extractSurface1Display.SpecularPower = 100.0
    extractSurface1Display.Luminosity = 0.0
    extractSurface1Display.Ambient = 0.0
    extractSurface1Display.Diffuse = 1.0
    extractSurface1Display.Roughness = 0.3
    extractSurface1Display.Metallic = 0.0
    extractSurface1Display.EdgeTint = [1.0, 1.0, 1.0]
    extractSurface1Display.Anisotropy = 0.0
    extractSurface1Display.AnisotropyRotation = 0.0
    extractSurface1Display.BaseIOR = 1.5
    extractSurface1Display.CoatStrength = 0.0
    extractSurface1Display.CoatIOR = 2.0
    extractSurface1Display.CoatRoughness = 0.0
    extractSurface1Display.CoatColor = [1.0, 1.0, 1.0]
    extractSurface1Display.SelectTCoordArray = 'None'
    extractSurface1Display.SelectNormalArray = 'Normals'
    extractSurface1Display.SelectTangentArray = 'None'
    extractSurface1Display.Texture = None
    extractSurface1Display.RepeatTextures = 1
    extractSurface1Display.InterpolateTextures = 0
    extractSurface1Display.SeamlessU = 0
    extractSurface1Display.SeamlessV = 0
    extractSurface1Display.UseMipmapTextures = 0
    extractSurface1Display.ShowTexturesOnBackface = 1
    extractSurface1Display.BaseColorTexture = None
    extractSurface1Display.NormalTexture = None
    extractSurface1Display.NormalScale = 1.0
    extractSurface1Display.CoatNormalTexture = None
    extractSurface1Display.CoatNormalScale = 1.0
    extractSurface1Display.MaterialTexture = None
    extractSurface1Display.OcclusionStrength = 1.0
    extractSurface1Display.AnisotropyTexture = None
    extractSurface1Display.EmissiveTexture = None
    extractSurface1Display.EmissiveFactor = [1.0, 1.0, 1.0]
    extractSurface1Display.FlipTextures = 0
    extractSurface1Display.BackfaceRepresentation = 'Follow Frontface'
    extractSurface1Display.BackfaceAmbientColor = [1.0, 1.0, 1.0]
    extractSurface1Display.BackfaceOpacity = 1.0
    extractSurface1Display.Position = [0.0, 0.0, 0.0]
    extractSurface1Display.Scale = [1.0, 1.0, 1.0]
    extractSurface1Display.Orientation = [0.0, 0.0, 0.0]
    extractSurface1Display.Origin = [0.0, 0.0, 0.0]
    extractSurface1Display.CoordinateShiftScaleMethod = 'Always Auto Shift Scale'
    extractSurface1Display.Pickable = 1
    extractSurface1Display.Triangulate = 0
    extractSurface1Display.UseShaderReplacements = 0
    extractSurface1Display.ShaderReplacements = ''
    extractSurface1Display.NonlinearSubdivisionLevel = 1
    extractSurface1Display.UseDataPartitions = 0
    extractSurface1Display.OSPRayUseScaleArray = 'All Approximate'
    extractSurface1Display.OSPRayScaleArray = 'curvature'
    extractSurface1Display.OSPRayScaleFunction = 'PiecewiseFunction'
    extractSurface1Display.OSPRayMaterial = 'None'
    extractSurface1Display.BlockSelectors = ['/']
    extractSurface1Display.BlockColors = []
    extractSurface1Display.BlockOpacities = []
    extractSurface1Display.Orient = 0
    extractSurface1Display.OrientationMode = 'Direction'
    extractSurface1Display.SelectOrientationVectors = 'None'
    extractSurface1Display.Scaling = 0
    extractSurface1Display.ScaleMode = 'No Data Scaling Off'
    extractSurface1Display.ScaleFactor = 0.098
    extractSurface1Display.SelectScaleArray = 'curvature'
    extractSurface1Display.GlyphType = 'Arrow'
    extractSurface1Display.UseGlyphTable = 0
    extractSurface1Display.GlyphTableIndexArray = 'curvature'
    extractSurface1Display.UseCompositeGlyphTable = 0
    extractSurface1Display.UseGlyphCullingAndLOD = 0
    extractSurface1Display.LODValues = []
    extractSurface1Display.ColorByLODIndex = 0
    extractSurface1Display.GaussianRadius = 0.0049
    extractSurface1Display.ShaderPreset = 'Sphere'
    extractSurface1Display.CustomTriangleScale = 3
    extractSurface1Display.CustomShader = """ // This custom shader code define a gaussian blur
     // Please take a look into vtkSMPointGaussianRepresentation.cxx
     // for other custom shader examples
     //VTK::Color::Impl
       float dist2 = dot(offsetVCVSOutput.xy,offsetVCVSOutput.xy);
       float gaussian = exp(-0.5*dist2);
       opacity = opacity*gaussian;
    """
    extractSurface1Display.Emissive = 0
    extractSurface1Display.ScaleByArray = 0
    extractSurface1Display.SetScaleArray = ['POINTS', 'curvature']
    extractSurface1Display.ScaleArrayComponent = ''
    extractSurface1Display.UseScaleFunction = 1
    extractSurface1Display.ScaleTransferFunction = 'PiecewiseFunction'
    extractSurface1Display.OpacityByArray = 0
    extractSurface1Display.OpacityArray = ['POINTS', 'curvature']
    extractSurface1Display.OpacityArrayComponent = ''
    extractSurface1Display.OpacityTransferFunction = 'PiecewiseFunction'
    extractSurface1Display.DataAxesGrid = 'GridAxesRepresentation'
    extractSurface1Display.SelectionCellLabelBold = 0
    extractSurface1Display.SelectionCellLabelColor = [0.0, 1.0, 0.0]
    extractSurface1Display.SelectionCellLabelFontFamily = 'Arial'
    extractSurface1Display.SelectionCellLabelFontFile = ''
    extractSurface1Display.SelectionCellLabelFontSize = 18
    extractSurface1Display.SelectionCellLabelItalic = 0
    extractSurface1Display.SelectionCellLabelJustification = 'Left'
    extractSurface1Display.SelectionCellLabelOpacity = 1.0
    extractSurface1Display.SelectionCellLabelShadow = 0
    extractSurface1Display.SelectionPointLabelBold = 0
    extractSurface1Display.SelectionPointLabelColor = [1.0, 1.0, 0.0]
    extractSurface1Display.SelectionPointLabelFontFamily = 'Arial'
    extractSurface1Display.SelectionPointLabelFontFile = ''
    extractSurface1Display.SelectionPointLabelFontSize = 18
    extractSurface1Display.SelectionPointLabelItalic = 0
    extractSurface1Display.SelectionPointLabelJustification = 'Left'
    extractSurface1Display.SelectionPointLabelOpacity = 1.0
    extractSurface1Display.SelectionPointLabelShadow = 0
    extractSurface1Display.PolarAxes = 'PolarAxesRepresentation'

    # init the 'PiecewiseFunction' selected for 'OSPRayScaleFunction'
    extractSurface1Display.OSPRayScaleFunction.Points = [1.0, 0.8602941036224365, 0.5, 0.0, 1.213836476688135, 0.625, 0.5, 0.0, 1.3616352081298828, 0.6691176295280457, 0.5, 0.0, 1.6666333299996667, 0.8676470518112183, 0.5, 0.0, 1.7358490228652954, 0.6911764740943909, 0.5, 0.0, 2.0, 0.8014705777168274, 0.5, 0.0]
    extractSurface1Display.OSPRayScaleFunction.UseLogScale = 0

    # init the 'Arrow' selected for 'GlyphType'
    extractSurface1Display.GlyphType.TipResolution = 6
    extractSurface1Display.GlyphType.TipRadius = 0.1
    extractSurface1Display.GlyphType.TipLength = 0.35
    extractSurface1Display.GlyphType.ShaftResolution = 6
    extractSurface1Display.GlyphType.ShaftRadius = 0.03
    extractSurface1Display.GlyphType.Invert = 0

    # init the 'PiecewiseFunction' selected for 'ScaleTransferFunction'
    extractSurface1Display.ScaleTransferFunction.Points = [0.0, 0.8602941036224365, 0.5, 0.0, 2.5142493840581125e-39, 0.625, 0.5, 0.0, 4.252039284300157e-39, 0.6691176295280457, 0.5, 0.0, 7.838150278676329e-39, 0.8676470518112183, 0.5, 0.0, 8.651975477491057e-39, 0.6911764740943909, 0.5, 0.0, 1.1757813367477812e-38, 0.8014705777168274, 0.5, 0.0]
    extractSurface1Display.ScaleTransferFunction.UseLogScale = 0

    # init the 'PiecewiseFunction' selected for 'OpacityTransferFunction'
    extractSurface1Display.OpacityTransferFunction.Points = [0.0, 0.8602941036224365, 0.5, 0.0, 2.5142493840581125e-39, 0.625, 0.5, 0.0, 4.252039284300157e-39, 0.6691176295280457, 0.5, 0.0, 7.838150278676329e-39, 0.8676470518112183, 0.5, 0.0, 8.651975477491057e-39, 0.6911764740943909, 0.5, 0.0, 1.1757813367477812e-38, 0.8014705777168274, 0.5, 0.0]
    extractSurface1Display.OpacityTransferFunction.UseLogScale = 0

    # init the 'GridAxesRepresentation' selected for 'DataAxesGrid'
    extractSurface1Display.DataAxesGrid.XTitle = 'X Axis'
    extractSurface1Display.DataAxesGrid.YTitle = 'Y Axis'
    extractSurface1Display.DataAxesGrid.ZTitle = 'Z Axis'
    extractSurface1Display.DataAxesGrid.XTitleFontFamily = 'Arial'
    extractSurface1Display.DataAxesGrid.XTitleFontFile = ''
    extractSurface1Display.DataAxesGrid.XTitleBold = 0
    extractSurface1Display.DataAxesGrid.XTitleItalic = 0
    extractSurface1Display.DataAxesGrid.XTitleFontSize = 12
    extractSurface1Display.DataAxesGrid.XTitleShadow = 0
    extractSurface1Display.DataAxesGrid.XTitleOpacity = 1.0
    extractSurface1Display.DataAxesGrid.YTitleFontFamily = 'Arial'
    extractSurface1Display.DataAxesGrid.YTitleFontFile = ''
    extractSurface1Display.DataAxesGrid.YTitleBold = 0
    extractSurface1Display.DataAxesGrid.YTitleItalic = 0
    extractSurface1Display.DataAxesGrid.YTitleFontSize = 12
    extractSurface1Display.DataAxesGrid.YTitleShadow = 0
    extractSurface1Display.DataAxesGrid.YTitleOpacity = 1.0
    extractSurface1Display.DataAxesGrid.ZTitleFontFamily = 'Arial'
    extractSurface1Display.DataAxesGrid.ZTitleFontFile = ''
    extractSurface1Display.DataAxesGrid.ZTitleBold = 0
    extractSurface1Display.DataAxesGrid.ZTitleItalic = 0
    extractSurface1Display.DataAxesGrid.ZTitleFontSize = 12
    extractSurface1Display.DataAxesGrid.ZTitleShadow = 0
    extractSurface1Display.DataAxesGrid.ZTitleOpacity = 1.0
    extractSurface1Display.DataAxesGrid.FacesToRender = 63
    extractSurface1Display.DataAxesGrid.CullBackface = 0
    extractSurface1Display.DataAxesGrid.CullFrontface = 1
    extractSurface1Display.DataAxesGrid.ShowGrid = 0
    extractSurface1Display.DataAxesGrid.ShowEdges = 1
    extractSurface1Display.DataAxesGrid.ShowTicks = 1
    extractSurface1Display.DataAxesGrid.LabelUniqueEdgesOnly = 1
    extractSurface1Display.DataAxesGrid.AxesToLabel = 63
    extractSurface1Display.DataAxesGrid.XLabelFontFamily = 'Arial'
    extractSurface1Display.DataAxesGrid.XLabelFontFile = ''
    extractSurface1Display.DataAxesGrid.XLabelBold = 0
    extractSurface1Display.DataAxesGrid.XLabelItalic = 0
    extractSurface1Display.DataAxesGrid.XLabelFontSize = 12
    extractSurface1Display.DataAxesGrid.XLabelShadow = 0
    extractSurface1Display.DataAxesGrid.XLabelOpacity = 1.0
    extractSurface1Display.DataAxesGrid.YLabelFontFamily = 'Arial'
    extractSurface1Display.DataAxesGrid.YLabelFontFile = ''
    extractSurface1Display.DataAxesGrid.YLabelBold = 0
    extractSurface1Display.DataAxesGrid.YLabelItalic = 0
    extractSurface1Display.DataAxesGrid.YLabelFontSize = 12
    extractSurface1Display.DataAxesGrid.YLabelShadow = 0
    extractSurface1Display.DataAxesGrid.YLabelOpacity = 1.0
    extractSurface1Display.DataAxesGrid.ZLabelFontFamily = 'Arial'
    extractSurface1Display.DataAxesGrid.ZLabelFontFile = ''
    extractSurface1Display.DataAxesGrid.ZLabelBold = 0
    extractSurface1Display.DataAxesGrid.ZLabelItalic = 0
    extractSurface1Display.DataAxesGrid.ZLabelFontSize = 12
    extractSurface1Display.DataAxesGrid.ZLabelShadow = 0
    extractSurface1Display.DataAxesGrid.ZLabelOpacity = 1.0
    extractSurface1Display.DataAxesGrid.XAxisNotation = 'Mixed'
    extractSurface1Display.DataAxesGrid.XAxisPrecision = 2
    extractSurface1Display.DataAxesGrid.XAxisUseCustomLabels = 0
    extractSurface1Display.DataAxesGrid.XAxisLabels = []
    extractSurface1Display.DataAxesGrid.YAxisNotation = 'Mixed'
    extractSurface1Display.DataAxesGrid.YAxisPrecision = 2
    extractSurface1Display.DataAxesGrid.YAxisUseCustomLabels = 0
    extractSurface1Display.DataAxesGrid.YAxisLabels = []
    extractSurface1Display.DataAxesGrid.ZAxisNotation = 'Mixed'
    extractSurface1Display.DataAxesGrid.ZAxisPrecision = 2
    extractSurface1Display.DataAxesGrid.ZAxisUseCustomLabels = 0
    extractSurface1Display.DataAxesGrid.ZAxisLabels = []
    extractSurface1Display.DataAxesGrid.UseCustomBounds = 0
    extractSurface1Display.DataAxesGrid.CustomBounds = [0.0, 1.0, 0.0, 1.0, 0.0, 1.0]

    # init the 'PolarAxesRepresentation' selected for 'PolarAxes'
    extractSurface1Display.PolarAxes.Visibility = 0
    extractSurface1Display.PolarAxes.Translation = [0.0, 0.0, 0.0]
    extractSurface1Display.PolarAxes.Scale = [1.0, 1.0, 1.0]
    extractSurface1Display.PolarAxes.Orientation = [0.0, 0.0, 0.0]
    extractSurface1Display.PolarAxes.EnableCustomBounds = [0, 0, 0]
    extractSurface1Display.PolarAxes.CustomBounds = [0.0, 1.0, 0.0, 1.0, 0.0, 1.0]
    extractSurface1Display.PolarAxes.EnableCustomRange = 0
    extractSurface1Display.PolarAxes.CustomRange = [0.0, 1.0]
    extractSurface1Display.PolarAxes.PolarAxisVisibility = 1
    extractSurface1Display.PolarAxes.RadialAxesVisibility = 1
    extractSurface1Display.PolarAxes.DrawRadialGridlines = 1
    extractSurface1Display.PolarAxes.PolarArcsVisibility = 1
    extractSurface1Display.PolarAxes.DrawPolarArcsGridlines = 1
    extractSurface1Display.PolarAxes.NumberOfRadialAxes = 0
    extractSurface1Display.PolarAxes.AutoSubdividePolarAxis = 1
    extractSurface1Display.PolarAxes.NumberOfPolarAxis = 0
    extractSurface1Display.PolarAxes.MinimumRadius = 0.0
    extractSurface1Display.PolarAxes.MinimumAngle = 0.0
    extractSurface1Display.PolarAxes.MaximumAngle = 90.0
    extractSurface1Display.PolarAxes.RadialAxesOriginToPolarAxis = 1
    extractSurface1Display.PolarAxes.Ratio = 1.0
    extractSurface1Display.PolarAxes.PolarAxisColor = [1.0, 1.0, 1.0]
    extractSurface1Display.PolarAxes.PolarArcsColor = [1.0, 1.0, 1.0]
    extractSurface1Display.PolarAxes.LastRadialAxisColor = [1.0, 1.0, 1.0]
    extractSurface1Display.PolarAxes.SecondaryPolarArcsColor = [1.0, 1.0, 1.0]
    extractSurface1Display.PolarAxes.SecondaryRadialAxesColor = [1.0, 1.0, 1.0]
    extractSurface1Display.PolarAxes.PolarAxisTitleVisibility = 1
    extractSurface1Display.PolarAxes.PolarAxisTitle = 'Radial Distance'
    extractSurface1Display.PolarAxes.PolarAxisTitleLocation = 'Bottom'
    extractSurface1Display.PolarAxes.PolarLabelVisibility = 1
    extractSurface1Display.PolarAxes.PolarLabelFormat = '%-#6.3g'
    extractSurface1Display.PolarAxes.PolarLabelExponentLocation = 'Labels'
    extractSurface1Display.PolarAxes.RadialLabelVisibility = 1
    extractSurface1Display.PolarAxes.RadialLabelFormat = '%-#3.1f'
    extractSurface1Display.PolarAxes.RadialLabelLocation = 'Bottom'
    extractSurface1Display.PolarAxes.RadialUnitsVisibility = 1
    extractSurface1Display.PolarAxes.ScreenSize = 10.0
    extractSurface1Display.PolarAxes.PolarAxisTitleOpacity = 1.0
    extractSurface1Display.PolarAxes.PolarAxisTitleFontFamily = 'Arial'
    extractSurface1Display.PolarAxes.PolarAxisTitleFontFile = ''
    extractSurface1Display.PolarAxes.PolarAxisTitleBold = 0
    extractSurface1Display.PolarAxes.PolarAxisTitleItalic = 0
    extractSurface1Display.PolarAxes.PolarAxisTitleShadow = 0
    extractSurface1Display.PolarAxes.PolarAxisTitleFontSize = 12
    extractSurface1Display.PolarAxes.PolarAxisLabelOpacity = 1.0
    extractSurface1Display.PolarAxes.PolarAxisLabelFontFamily = 'Arial'
    extractSurface1Display.PolarAxes.PolarAxisLabelFontFile = ''
    extractSurface1Display.PolarAxes.PolarAxisLabelBold = 0
    extractSurface1Display.PolarAxes.PolarAxisLabelItalic = 0
    extractSurface1Display.PolarAxes.PolarAxisLabelShadow = 0
    extractSurface1Display.PolarAxes.PolarAxisLabelFontSize = 12
    extractSurface1Display.PolarAxes.LastRadialAxisTextOpacity = 1.0
    extractSurface1Display.PolarAxes.LastRadialAxisTextFontFamily = 'Arial'
    extractSurface1Display.PolarAxes.LastRadialAxisTextFontFile = ''
    extractSurface1Display.PolarAxes.LastRadialAxisTextBold = 0
    extractSurface1Display.PolarAxes.LastRadialAxisTextItalic = 0
    extractSurface1Display.PolarAxes.LastRadialAxisTextShadow = 0
    extractSurface1Display.PolarAxes.LastRadialAxisTextFontSize = 12
    extractSurface1Display.PolarAxes.SecondaryRadialAxesTextOpacity = 1.0
    extractSurface1Display.PolarAxes.SecondaryRadialAxesTextFontFamily = 'Arial'
    extractSurface1Display.PolarAxes.SecondaryRadialAxesTextFontFile = ''
    extractSurface1Display.PolarAxes.SecondaryRadialAxesTextBold = 0
    extractSurface1Display.PolarAxes.SecondaryRadialAxesTextItalic = 0
    extractSurface1Display.PolarAxes.SecondaryRadialAxesTextShadow = 0
    extractSurface1Display.PolarAxes.SecondaryRadialAxesTextFontSize = 12
    extractSurface1Display.PolarAxes.EnableDistanceLOD = 1
    extractSurface1Display.PolarAxes.DistanceLODThreshold = 0.7
    extractSurface1Display.PolarAxes.EnableViewAngleLOD = 1
    extractSurface1Display.PolarAxes.ViewAngleLODThreshold = 0.7
    extractSurface1Display.PolarAxes.SmallestVisiblePolarAngle = 0.5
    extractSurface1Display.PolarAxes.PolarTicksVisibility = 1
    extractSurface1Display.PolarAxes.ArcTicksOriginToPolarAxis = 1
    extractSurface1Display.PolarAxes.TickLocation = 'Both'
    extractSurface1Display.PolarAxes.AxisTickVisibility = 1
    extractSurface1Display.PolarAxes.AxisMinorTickVisibility = 0
    extractSurface1Display.PolarAxes.ArcTickVisibility = 1
    extractSurface1Display.PolarAxes.ArcMinorTickVisibility = 0
    extractSurface1Display.PolarAxes.DeltaAngleMajor = 10.0
    extractSurface1Display.PolarAxes.DeltaAngleMinor = 5.0
    extractSurface1Display.PolarAxes.PolarAxisMajorTickSize = 0.0
    extractSurface1Display.PolarAxes.PolarAxisTickRatioSize = 0.3
    extractSurface1Display.PolarAxes.PolarAxisMajorTickThickness = 1.0
    extractSurface1Display.PolarAxes.PolarAxisTickRatioThickness = 0.5
    extractSurface1Display.PolarAxes.LastRadialAxisMajorTickSize = 0.0
    extractSurface1Display.PolarAxes.LastRadialAxisTickRatioSize = 0.3
    extractSurface1Display.PolarAxes.LastRadialAxisMajorTickThickness = 1.0
    extractSurface1Display.PolarAxes.LastRadialAxisTickRatioThickness = 0.5
    extractSurface1Display.PolarAxes.ArcMajorTickSize = 0.0
    extractSurface1Display.PolarAxes.ArcTickRatioSize = 0.3
    extractSurface1Display.PolarAxes.ArcMajorTickThickness = 1.0
    extractSurface1Display.PolarAxes.ArcTickRatioThickness = 0.5
    extractSurface1Display.PolarAxes.Use2DMode = 0
    extractSurface1Display.PolarAxes.UseLogAxis = 0

    # hide data in view
    Hide(contour1, renderView1)

    # show color bar/color legend
    extractSurface1Display.SetScalarBarVisibility(renderView1, True)




##################################################################################


# get layout
layout1 = GetLayout()


#--------------------------------
# saving layout sizes for layouts

# layout/tab size in pixels
layout1.SetSize(890, 532)

#-----------------------------------
# saving camera placements for views

# current camera placement for renderView1
# renderView1.CameraPosition = [2.011789351967371, 3.0415959513116824, 1.6179658760786457]
# renderView1.CameraFocalPoint = [0.25, 0.5255000000000001, 0.5]
# renderView1.CameraViewUp = [-0.19617469496901113, -0.28016649959323553, 0.9396926207859085]
# renderView1.CameraViewAngle = 30.701754385964914
# renderView1.CameraParallelScale = 0.8460053191322144


# reset view to fit data
renderView1.ResetCamera(True)

#================================================================
# addendum: following script captures some of the application
# state to faithfully reproduce the visualization during playback
#================================================================

#-----------------------------------
# saving camera placements for views

# current camera placement for renderView1
renderView1.CameraPosition = [2.011789351967371, 3.0415959513116824, 1.6279658760786457]
renderView1.CameraFocalPoint = [0.25, 0.5255000000000001, 0.51]
renderView1.CameraViewUp = [-0.19617469496901116, -0.28016649959323564, 0.9396926207859084]
renderView1.CameraViewAngle = 30.68840579710145
renderView1.CameraParallelScale = 0.8460053191322144



### ---------------------------------------

# update the view to ensure updated data information
renderView1.Update()


# ----------------- EXPORT -----------------
SaveScreenshot('/home/klaus/Desktop/3DPhaseDiagramPlot_GammaInf_Curvature.png', renderView1, ImageResolution=[2126, 1314],OverrideColorPalette='WhiteBackground')
